// Code generated by protoc-gen-go. DO NOT EDIT.
// source: go.chromium.org/luci/buildbucket/proto/common.proto

package buildbucketpb

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// Status of a build or a step.
type Status int32

const (
	// Unspecified state. Meaning depends on the context.
	Status_STATUS_UNSPECIFIED Status = 0
	// Build was scheduled, but did not start or end yet.
	Status_SCHEDULED Status = 1
	// Build/step has started.
	Status_STARTED Status = 2
	// A bit present in all completed statuses. A build cannot have this value.
	// Exists for backward compatibility.
	Status_COMPLETED_STATUS_MASK Status = 4
	// A build/step ended successfully.
	Status_SUCCESS Status = 12
	// A build/step ended unsuccessfully due to its Build.Input,
	// e.g. tests failed, and NOT due to a build infrastructure failure.
	Status_FAILURE Status = 20
	// A build/step ended unsuccessfully due to a failure independent of the input,
	// e.g. swarming failed, or the recipe was unable to read the patch from gerrit..
	Status_INFRA_FAILURE Status = 36
	// A build was cancelled explicitly, e.g. via an RPC.
	Status_CANCELED Status = 68
)

var Status_name = map[int32]string{
	0:  "STATUS_UNSPECIFIED",
	1:  "SCHEDULED",
	2:  "STARTED",
	4:  "COMPLETED_STATUS_MASK",
	12: "SUCCESS",
	20: "FAILURE",
	36: "INFRA_FAILURE",
	68: "CANCELED",
}
var Status_value = map[string]int32{
	"STATUS_UNSPECIFIED":    0,
	"SCHEDULED":             1,
	"STARTED":               2,
	"COMPLETED_STATUS_MASK": 4,
	"SUCCESS":               12,
	"FAILURE":               20,
	"INFRA_FAILURE":         36,
	"CANCELED":              68,
}

func (x Status) String() string {
	return proto.EnumName(Status_name, int32(x))
}
func (Status) EnumDescriptor() ([]byte, []int) { return fileDescriptor1, []int{0} }

// A Gerrit patchset.
type GerritChange struct {
	// Gerrit hostname, e.g. "chromium-review.googlesource.com".
	Host string `protobuf:"bytes,1,opt,name=host" json:"host,omitempty"`
	// Gerrit project, e.g. "chromium/src".
	Project string `protobuf:"bytes,2,opt,name=project" json:"project,omitempty"`
	// Change number, e.g. 12345.
	Change int64 `protobuf:"varint,3,opt,name=change" json:"change,omitempty"`
	// Patch set number, e.g. 1.
	Patchset int64 `protobuf:"varint,4,opt,name=patchset" json:"patchset,omitempty"`
}

func (m *GerritChange) Reset()                    { *m = GerritChange{} }
func (m *GerritChange) String() string            { return proto.CompactTextString(m) }
func (*GerritChange) ProtoMessage()               {}
func (*GerritChange) Descriptor() ([]byte, []int) { return fileDescriptor1, []int{0} }

func (m *GerritChange) GetHost() string {
	if m != nil {
		return m.Host
	}
	return ""
}

func (m *GerritChange) GetProject() string {
	if m != nil {
		return m.Project
	}
	return ""
}

func (m *GerritChange) GetChange() int64 {
	if m != nil {
		return m.Change
	}
	return 0
}

func (m *GerritChange) GetPatchset() int64 {
	if m != nil {
		return m.Patchset
	}
	return 0
}

// A landed Git commit hosted on Gitiles.
type GitilesCommit struct {
	// Gitiles hostname, e.g. "chromium.googlesource.com".
	Host string `protobuf:"bytes,1,opt,name=host" json:"host,omitempty"`
	// Repository name on the host, e.g. "chromium/src".
	Project string `protobuf:"bytes,2,opt,name=project" json:"project,omitempty"`
	// Commit HEX SHA1.
	Id string `protobuf:"bytes,3,opt,name=id" json:"id,omitempty"`
	// Optional, associated git ref, e.g. "refs/heads/master".
	// NOT a branch name: if specified, must start with "refs/".
	Ref string `protobuf:"bytes,4,opt,name=ref" json:"ref,omitempty"`
}

func (m *GitilesCommit) Reset()                    { *m = GitilesCommit{} }
func (m *GitilesCommit) String() string            { return proto.CompactTextString(m) }
func (*GitilesCommit) ProtoMessage()               {}
func (*GitilesCommit) Descriptor() ([]byte, []int) { return fileDescriptor1, []int{1} }

func (m *GitilesCommit) GetHost() string {
	if m != nil {
		return m.Host
	}
	return ""
}

func (m *GitilesCommit) GetProject() string {
	if m != nil {
		return m.Project
	}
	return ""
}

func (m *GitilesCommit) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *GitilesCommit) GetRef() string {
	if m != nil {
		return m.Ref
	}
	return ""
}

// A key-value pair of strings.
type StringPair struct {
	Key   string `protobuf:"bytes,1,opt,name=key" json:"key,omitempty"`
	Value string `protobuf:"bytes,2,opt,name=value" json:"value,omitempty"`
}

func (m *StringPair) Reset()                    { *m = StringPair{} }
func (m *StringPair) String() string            { return proto.CompactTextString(m) }
func (*StringPair) ProtoMessage()               {}
func (*StringPair) Descriptor() ([]byte, []int) { return fileDescriptor1, []int{2} }

func (m *StringPair) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *StringPair) GetValue() string {
	if m != nil {
		return m.Value
	}
	return ""
}

func init() {
	proto.RegisterType((*GerritChange)(nil), "buildbucket.v2.GerritChange")
	proto.RegisterType((*GitilesCommit)(nil), "buildbucket.v2.GitilesCommit")
	proto.RegisterType((*StringPair)(nil), "buildbucket.v2.StringPair")
	proto.RegisterEnum("buildbucket.v2.Status", Status_name, Status_value)
}

func init() {
	proto.RegisterFile("go.chromium.org/luci/buildbucket/proto/common.proto", fileDescriptor1)
}

var fileDescriptor1 = []byte{
	// 368 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x91, 0x41, 0x8f, 0x93, 0x40,
	0x1c, 0xc5, 0x85, 0xd6, 0xee, 0xf2, 0xb7, 0xdd, 0xe0, 0x64, 0xdd, 0xa0, 0xa7, 0x4d, 0xe3, 0x61,
	0xe3, 0x01, 0x12, 0x77, 0xe3, 0xc5, 0x13, 0x0e, 0xd3, 0x95, 0xd8, 0xad, 0x0d, 0x03, 0x17, 0x2f,
	0x04, 0xe8, 0x08, 0x63, 0xa1, 0x43, 0x86, 0xa1, 0x89, 0x5f, 0xc3, 0x4f, 0x6c, 0x18, 0xa9, 0xe9,
	0x51, 0x6f, 0xef, 0xf7, 0xde, 0xfc, 0xdf, 0x3b, 0x0c, 0xdc, 0x97, 0xc2, 0x2d, 0x2a, 0x29, 0x1a,
	0xde, 0x37, 0xae, 0x90, 0xa5, 0x57, 0xf7, 0x05, 0xf7, 0xf2, 0x9e, 0xd7, 0xbb, 0xbc, 0x2f, 0xf6,
	0x4c, 0x79, 0xad, 0x14, 0x4a, 0x78, 0x85, 0x68, 0x1a, 0x71, 0x70, 0x35, 0xa0, 0xab, 0xb3, 0xdc,
	0x3d, 0xbe, 0x5f, 0xb6, 0x30, 0x7f, 0x64, 0x52, 0x72, 0x85, 0xab, 0xec, 0x50, 0x32, 0x84, 0x60,
	0x5a, 0x89, 0x4e, 0x39, 0xc6, 0xad, 0x71, 0x67, 0x45, 0x5a, 0x23, 0x07, 0x2e, 0x5a, 0x29, 0x7e,
	0xb0, 0x42, 0x39, 0xa6, 0xb6, 0x4f, 0x88, 0x6e, 0x60, 0x56, 0xe8, 0x3b, 0x67, 0x72, 0x6b, 0xdc,
	0x4d, 0xa2, 0x91, 0xd0, 0x1b, 0xb8, 0x6c, 0x33, 0x55, 0x54, 0x1d, 0x53, 0xce, 0x54, 0x27, 0x7f,
	0x79, 0x99, 0xc2, 0xe2, 0x91, 0x2b, 0x5e, 0xb3, 0x0e, 0x8b, 0xa6, 0xe1, 0xea, 0x3f, 0x27, 0xaf,
	0xc0, 0xe4, 0x3b, 0x3d, 0x67, 0x45, 0x26, 0xdf, 0x21, 0x1b, 0x26, 0x92, 0x7d, 0xd7, 0x2b, 0x56,
	0x34, 0xc8, 0xe5, 0x03, 0x00, 0x55, 0x92, 0x1f, 0xca, 0x6d, 0xc6, 0xe5, 0x90, 0xef, 0xd9, 0xcf,
	0xb1, 0x7c, 0x90, 0xe8, 0x1a, 0x9e, 0x1f, 0xb3, 0xba, 0x67, 0x63, 0xf3, 0x1f, 0x78, 0xf7, 0xcb,
	0x80, 0x19, 0x55, 0x99, 0xea, 0x3b, 0x74, 0x03, 0x88, 0xc6, 0x7e, 0x9c, 0xd0, 0x34, 0xd9, 0xd0,
	0x2d, 0xc1, 0xe1, 0x2a, 0x24, 0x81, 0xfd, 0x0c, 0x2d, 0xc0, 0xa2, 0xf8, 0x33, 0x09, 0x92, 0x35,
	0x09, 0x6c, 0x03, 0xbd, 0x80, 0x0b, 0x1a, 0xfb, 0x51, 0x4c, 0x02, 0xdb, 0x44, 0xaf, 0xe1, 0x15,
	0xfe, 0xfa, 0xb4, 0x5d, 0x93, 0x98, 0x04, 0xe9, 0x78, 0xfd, 0xe4, 0xd3, 0x2f, 0xf6, 0x54, 0xbf,
	0x4b, 0x30, 0x26, 0x94, 0xda, 0xf3, 0x01, 0x56, 0x7e, 0xb8, 0x4e, 0x22, 0x62, 0x5f, 0xa3, 0x97,
	0xb0, 0x08, 0x37, 0xab, 0xc8, 0x4f, 0x4f, 0xd6, 0x5b, 0x34, 0x87, 0x4b, 0xec, 0x6f, 0x30, 0x19,
	0x26, 0x82, 0x4f, 0x1f, 0xbe, 0x3d, 0xfc, 0xdb, 0x27, 0x7f, 0x3c, 0x73, 0xda, 0x3c, 0x9f, 0x69,
	0xf3, 0xfe, 0x77, 0x00, 0x00, 0x00, 0xff, 0xff, 0x03, 0xac, 0x92, 0xba, 0x23, 0x02, 0x00, 0x00,
}
