// Code generated by protoc-gen-go. DO NOT EDIT.
// source: go.chromium.org/luci/buildbucket/proto/step.proto

package buildbucketpb

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import google_protobuf "github.com/golang/protobuf/ptypes/timestamp"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// A build step.
type Step struct {
	// Name of the step, unique within the build.
	// Identifies the step.
	//
	// Pipe character ("|") is reserved to separate parent and child step names.
	// For example, value "a|b" indicates step "b" under step "a".
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	// The timestamp when the step started.
	StartTime *google_protobuf.Timestamp `protobuf:"bytes,2,opt,name=start_time,json=startTime" json:"start_time,omitempty"`
	// The timestamp when the step ended.
	EndTime *google_protobuf.Timestamp `protobuf:"bytes,3,opt,name=end_time,json=endTime" json:"end_time,omitempty"`
	// Current status of the step.
	// Must be specified, i.e. not STATUS_UNSPECIFIED.
	Status Status `protobuf:"varint,4,opt,name=status,enum=buildbucket.v2.Status" json:"status,omitempty"`
	// Logs produced by the step.
	// Log order is up to the step.
	Logs []*Step_Log `protobuf:"bytes,5,rep,name=logs" json:"logs,omitempty"`
	// Human-oriented summary of the step provided by the step itself,
	// in Markdown format (https://spec.commonmark.org/0.28/).
	//
	// V1 equivalent: combines and supersedes Buildbot's step_text and step links and also supports
	// other formatted text.
	SummaryMarkdown string `protobuf:"bytes,7,opt,name=summary_markdown,json=summaryMarkdown" json:"summary_markdown,omitempty"`
}

func (m *Step) Reset()                    { *m = Step{} }
func (m *Step) String() string            { return proto.CompactTextString(m) }
func (*Step) ProtoMessage()               {}
func (*Step) Descriptor() ([]byte, []int) { return fileDescriptor2, []int{0} }

func (m *Step) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Step) GetStartTime() *google_protobuf.Timestamp {
	if m != nil {
		return m.StartTime
	}
	return nil
}

func (m *Step) GetEndTime() *google_protobuf.Timestamp {
	if m != nil {
		return m.EndTime
	}
	return nil
}

func (m *Step) GetStatus() Status {
	if m != nil {
		return m.Status
	}
	return Status_STATUS_UNSPECIFIED
}

func (m *Step) GetLogs() []*Step_Log {
	if m != nil {
		return m.Logs
	}
	return nil
}

func (m *Step) GetSummaryMarkdown() string {
	if m != nil {
		return m.SummaryMarkdown
	}
	return ""
}

// A named log of a step.
type Step_Log struct {
	// Log name, standard ("stdout", "stderr") or custom ("json.output").
	// Unique within the step.
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	// URL of a human-oriented page that displays log contents.
	ViewUrl string `protobuf:"bytes,2,opt,name=view_url,json=viewUrl" json:"view_url,omitempty"`
}

func (m *Step_Log) Reset()                    { *m = Step_Log{} }
func (m *Step_Log) String() string            { return proto.CompactTextString(m) }
func (*Step_Log) ProtoMessage()               {}
func (*Step_Log) Descriptor() ([]byte, []int) { return fileDescriptor2, []int{0, 0} }

func (m *Step_Log) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Step_Log) GetViewUrl() string {
	if m != nil {
		return m.ViewUrl
	}
	return ""
}

func init() {
	proto.RegisterType((*Step)(nil), "buildbucket.v2.Step")
	proto.RegisterType((*Step_Log)(nil), "buildbucket.v2.Step.Log")
}

func init() { proto.RegisterFile("go.chromium.org/luci/buildbucket/proto/step.proto", fileDescriptor2) }

var fileDescriptor2 = []byte{
	// 312 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x8c, 0x91, 0x4f, 0x4b, 0xc3, 0x40,
	0x10, 0xc5, 0x49, 0x1b, 0xfb, 0x67, 0x0b, 0x55, 0xf6, 0x20, 0x31, 0x17, 0x83, 0xa7, 0x08, 0xb2,
	0xc1, 0xb4, 0x0a, 0xe2, 0xcd, 0x73, 0xbd, 0xa4, 0x7a, 0xf1, 0x52, 0x36, 0xc9, 0xba, 0x86, 0xee,
	0x66, 0xc2, 0xfe, 0x69, 0xf1, 0x33, 0xfa, 0xa5, 0xa4, 0x9b, 0x14, 0x2a, 0x0a, 0xf6, 0x36, 0xf3,
	0xe6, 0xfd, 0x98, 0xd9, 0xb7, 0xe8, 0x96, 0x03, 0x29, 0x3e, 0x14, 0xc8, 0xca, 0x4a, 0x02, 0x8a,
	0x27, 0xc2, 0x16, 0x55, 0x92, 0xdb, 0x4a, 0x94, 0xb9, 0x2d, 0xd6, 0xcc, 0x24, 0x8d, 0x02, 0x03,
	0x89, 0x36, 0xac, 0x21, 0xae, 0xc4, 0xd3, 0x83, 0x29, 0xd9, 0xa4, 0xe1, 0x25, 0x07, 0xe0, 0x82,
	0xb5, 0xc6, 0xdc, 0xbe, 0x27, 0xa6, 0x92, 0x4c, 0x1b, 0x2a, 0x3b, 0x20, 0x9c, 0x1d, 0xb9, 0xa3,
	0x00, 0x29, 0xa1, 0x6e, 0xa1, 0xab, 0xaf, 0x1e, 0xf2, 0x97, 0x86, 0x35, 0x18, 0x23, 0xbf, 0xa6,
	0x92, 0x05, 0x5e, 0xe4, 0xc5, 0xe3, 0xcc, 0xd5, 0xf8, 0x01, 0x21, 0x6d, 0xa8, 0x32, 0xab, 0xdd,
	0xaa, 0xa0, 0x17, 0x79, 0xf1, 0x24, 0x0d, 0x49, 0x7b, 0x07, 0xd9, 0xdf, 0x41, 0x5e, 0xf6, 0x77,
	0x64, 0x63, 0xe7, 0xde, 0xf5, 0xf8, 0x0e, 0x8d, 0x58, 0x5d, 0xb6, 0x60, 0xff, 0x5f, 0x70, 0xc8,
	0xea, 0xd2, 0x61, 0x04, 0x0d, 0xb4, 0xa1, 0xc6, 0xea, 0xc0, 0x8f, 0xbc, 0x78, 0x9a, 0x9e, 0x93,
	0x9f, 0x29, 0x90, 0xa5, 0x9b, 0x66, 0x9d, 0x0b, 0xdf, 0x20, 0x5f, 0x00, 0xd7, 0xc1, 0x49, 0xd4,
	0x8f, 0x27, 0x69, 0xf0, 0xdb, 0xcd, 0x1a, 0xb2, 0x00, 0x9e, 0x39, 0x17, 0xbe, 0x46, 0x67, 0xda,
	0x4a, 0x49, 0xd5, 0xe7, 0x4a, 0x52, 0xb5, 0x2e, 0x61, 0x5b, 0x07, 0x43, 0xf7, 0xde, 0xd3, 0x4e,
	0x7f, 0xee, 0xe4, 0x70, 0x8e, 0xfa, 0x0b, 0xe0, 0x7f, 0xa6, 0x72, 0x81, 0x46, 0x9b, 0x8a, 0x6d,
	0x57, 0x56, 0x09, 0x97, 0xc9, 0x38, 0x1b, 0xee, 0xfa, 0x57, 0x25, 0x9e, 0xee, 0xdf, 0xe6, 0xc7,
	0x7d, 0xc2, 0xe3, 0x81, 0xd2, 0xe4, 0xf9, 0xc0, 0x89, 0xb3, 0xef, 0x00, 0x00, 0x00, 0xff, 0xff,
	0x40, 0x3d, 0xd0, 0xae, 0x27, 0x02, 0x00, 0x00,
}
