// Code generated by protoc-gen-go. DO NOT EDIT.
// source: go.chromium.org/luci/common/proto/config/project_config.proto

/*
Package config is a generated protocol buffer package.

It is generated from these files:
	go.chromium.org/luci/common/proto/config/project_config.proto
	go.chromium.org/luci/common/proto/config/service_config.proto

It has these top-level messages:
	ProjectCfg
	RefsCfg
	ConfigSetLocation
	Project
	ProjectsCfg
	Service
	ServiceDynamicMetadata
	ServicesCfg
	AclCfg
	ImportCfg
	SchemasCfg
	ConfigPattern
	Validator
	ValidationRequestMessage
	ValidationResponseMessage
*/
package config

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// Schema for project.cfg
type ProjectCfg struct {
	// Full name of the project.
	Name *string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	// A list of identities that have read-only access to the. An element is one
	// of:
	// * "group:<group>", where group is defined on auth server.
	// * "<email>"
	// * "<identity>"
	//
	// If not specified, only admins and trusted services have access.
	// Talk to admins to determine the group name appropriate for your project.
	Access           []string `protobuf:"bytes,2,rep,name=access" json:"access,omitempty"`
	XXX_unrecognized []byte   `json:"-"`
}

func (m *ProjectCfg) Reset()                    { *m = ProjectCfg{} }
func (m *ProjectCfg) String() string            { return proto.CompactTextString(m) }
func (*ProjectCfg) ProtoMessage()               {}
func (*ProjectCfg) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *ProjectCfg) GetName() string {
	if m != nil && m.Name != nil {
		return *m.Name
	}
	return ""
}

func (m *ProjectCfg) GetAccess() []string {
	if m != nil {
		return m.Access
	}
	return nil
}

// Schema of refs.cfg.
type RefsCfg struct {
	// List of refs that have configuration files and need to be fetched into
	// luci-config. Refs are accessible through get_refs() API endpoint.
	// A CI service can read all refs of all projects and build them.
	Refs             []*RefsCfg_Ref `protobuf:"bytes,1,rep,name=refs" json:"refs,omitempty"`
	XXX_unrecognized []byte         `json:"-"`
}

func (m *RefsCfg) Reset()                    { *m = RefsCfg{} }
func (m *RefsCfg) String() string            { return proto.CompactTextString(m) }
func (*RefsCfg) ProtoMessage()               {}
func (*RefsCfg) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *RefsCfg) GetRefs() []*RefsCfg_Ref {
	if m != nil {
		return m.Refs
	}
	return nil
}

type RefsCfg_Ref struct {
	// Name of the ref. Must start with "refs/".
	Name *string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	// Path to config directory for the ref. Defaults to "infra/config".
	ConfigPath       *string `protobuf:"bytes,3,opt,name=config_path,json=configPath" json:"config_path,omitempty"`
	XXX_unrecognized []byte  `json:"-"`
}

func (m *RefsCfg_Ref) Reset()                    { *m = RefsCfg_Ref{} }
func (m *RefsCfg_Ref) String() string            { return proto.CompactTextString(m) }
func (*RefsCfg_Ref) ProtoMessage()               {}
func (*RefsCfg_Ref) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1, 0} }

func (m *RefsCfg_Ref) GetName() string {
	if m != nil && m.Name != nil {
		return *m.Name
	}
	return ""
}

func (m *RefsCfg_Ref) GetConfigPath() string {
	if m != nil && m.ConfigPath != nil {
		return *m.ConfigPath
	}
	return ""
}

func init() {
	proto.RegisterType((*ProjectCfg)(nil), "config.ProjectCfg")
	proto.RegisterType((*RefsCfg)(nil), "config.RefsCfg")
	proto.RegisterType((*RefsCfg_Ref)(nil), "config.RefsCfg.Ref")
}

func init() {
	proto.RegisterFile("go.chromium.org/luci/common/proto/config/project_config.proto", fileDescriptor0)
}

var fileDescriptor0 = []byte{
	// 186 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x6c, 0x8d, 0xb1, 0x6a, 0xc0, 0x20,
	0x10, 0x86, 0x49, 0x0d, 0x29, 0xb9, 0x6c, 0x16, 0x8a, 0x74, 0x69, 0xc8, 0xd2, 0x4c, 0x0a, 0x9d,
	0x4a, 0xa1, 0x53, 0x5f, 0x20, 0xf8, 0x02, 0x41, 0x44, 0x4d, 0x4a, 0xf5, 0x82, 0x9a, 0xf7, 0x2f,
	0xd1, 0x8c, 0x9d, 0xee, 0xbe, 0xfb, 0xee, 0xe7, 0x87, 0x2f, 0x87, 0x5c, 0x6f, 0x11, 0xfd, 0x7e,
	0x7a, 0x8e, 0xd1, 0x89, 0xdf, 0x53, 0xef, 0x42, 0xa3, 0xf7, 0x18, 0xc4, 0x11, 0x31, 0xa3, 0xd0,
	0x18, 0xec, 0xee, 0x2e, 0xf8, 0x31, 0x3a, 0xaf, 0x15, 0x79, 0x71, 0xb4, 0xab, 0x34, 0x7d, 0x00,
	0x2c, 0xd5, 0x7f, 0x5b, 0x47, 0x29, 0xb4, 0x41, 0x79, 0xc3, 0x9a, 0xb1, 0x99, 0x7b, 0x59, 0x76,
	0xfa, 0x0c, 0x9d, 0xd2, 0xda, 0xa4, 0xc4, 0x1e, 0x46, 0x32, 0xf7, 0xf2, 0xa6, 0x29, 0xc0, 0xa3,
	0x34, 0x36, 0x5d, 0xb1, 0x37, 0x68, 0xa3, 0xb1, 0x89, 0x35, 0x23, 0x99, 0x87, 0xf7, 0x27, 0x7e,
	0x37, 0xdd, 0xfa, 0x9a, 0xb2, 0x3c, 0xbc, 0x7c, 0x02, 0x91, 0xc6, 0xfe, 0x5b, 0xf3, 0x0a, 0x43,
	0x8d, 0xad, 0x87, 0xca, 0x1b, 0x23, 0x45, 0x41, 0x3d, 0x2d, 0x2a, 0x6f, 0x7f, 0x01, 0x00, 0x00,
	0xff, 0xff, 0xc6, 0x13, 0xa1, 0xf4, 0xf1, 0x00, 0x00, 0x00,
}
