// Copyright 2016 The LUCI Authors. All rights reserved.
// Use of this source code is governed under the Apache License, Version 2.0
// that can be found in the LICENSE file.

// AUTOGENERATED: Do not edit

package jobsim

import (
	"github.com/golang/protobuf/proto"

	"go.chromium.org/gae/service/datastore"
)

var _ datastore.PropertyConverter = (*Phrase)(nil)

// ToProperty implements datastore.PropertyConverter. It causes an embedded
// 'Phrase' to serialize to an unindexed '[]byte' when used with the
// "go.chromium.org/gae" library.
func (p *Phrase) ToProperty() (prop datastore.Property, err error) {
	data, err := proto.Marshal(p)
	if err == nil {
		prop.SetValue(data, datastore.NoIndex)
	}
	return
}

// FromProperty implements datastore.PropertyConverter. It parses a '[]byte'
// into an embedded 'Phrase' when used with the "go.chromium.org/gae" library.
func (p *Phrase) FromProperty(prop datastore.Property) error {
	data, err := prop.Project(datastore.PTBytes)
	if err != nil {
		return err
	}
	return proto.Unmarshal(data.([]byte), p)
}
