// Code generated by protoc-gen-go. DO NOT EDIT.
// source: go.chromium.org/luci/dm/api/service/v1/graph_data.proto

package dm

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import google_protobuf "github.com/golang/protobuf/ptypes/duration"
import google_protobuf1 "github.com/golang/protobuf/ptypes/timestamp"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

type AbnormalFinish_Status int32

const (
	// This status is invalid and should not be used intentionally.
	//
	// It is a placeholder to identify 0-initialized AbnormalFinish structures.
	AbnormalFinish_INVALID AbnormalFinish_Status = 0
	// This entity has a failed result.
	//
	// Executions: the distributor reported that the task executed and failed, OR
	// the distributor reports success while the Execution is in the RUNNING
	// state.
	//
	// Attempts: the last Execution had a FAILED Status.
	//
	// Retryable.
	AbnormalFinish_FAILED AbnormalFinish_Status = 1
	// This entity failed in a bad way.
	//
	// Executions: The distributor told us that the job died violently while in
	// the SCHEDULING, RUNNING or STOPPING state.
	//
	// Attempts: the last Execution had a CRASHED Status.
	//
	// Retryable.
	AbnormalFinish_CRASHED AbnormalFinish_Status = 2
	// Waited too long for the job to start.
	//
	// Executions: the distributor couldn't start the job in time, OR DM failed
	// to get a status update from the distributor in time (e.g. the state was
	// SCHEDULING for too long).
	//
	// Attempts: the last Execution had an EXPIRED Status.
	//
	// Retryable.
	AbnormalFinish_EXPIRED AbnormalFinish_Status = 3
	// The job started, but took too long.
	//
	// Executions: the distributor started the job, but it couldn't complete in
	// time, OR DM failed to get a status update from the distributor in time
	// (e.g. the state was RUNNING for too long).
	//
	// Attempts: the last Execution had an TIMED_OUT Status.
	//
	// Retryable.
	AbnormalFinish_TIMED_OUT AbnormalFinish_Status = 4
	// The job was cancelled by an external entity (human, automated system).
	//
	// Executions: the distributor informing DM that the job was preemptively
	// cancelled.
	//
	// Attempts: the last Execution had a CANCELLED Status, or this Attempt
	// was cancelled via DM.
	AbnormalFinish_CANCELLED AbnormalFinish_Status = 5
	// The job was prevented from running by the distributor (quota, permissions,
	// etc.)
	//
	// Executions: the distributor refused to run this job.
	//
	// Attempts: the last Execution had a REJECTED Status.
	AbnormalFinish_REJECTED AbnormalFinish_Status = 6
	// The job is unrecognized.
	//
	// Executions: the distributor doesn't know about this job, or has forgotten
	// about it.
	//
	// Attempts: the last Execution had a MISSING Status.
	AbnormalFinish_MISSING AbnormalFinish_Status = 7
	// The distributor ran the job, but returned garbage.
	//
	// Executions: the distributor returned a nominally successful result, but
	// the Data portion of the result wasn't able to be normalized.
	//
	// Attempts: the last Execution had a RESULT_MALFORMED Status.
	AbnormalFinish_RESULT_MALFORMED AbnormalFinish_Status = 8
)

var AbnormalFinish_Status_name = map[int32]string{
	0: "INVALID",
	1: "FAILED",
	2: "CRASHED",
	3: "EXPIRED",
	4: "TIMED_OUT",
	5: "CANCELLED",
	6: "REJECTED",
	7: "MISSING",
	8: "RESULT_MALFORMED",
}
var AbnormalFinish_Status_value = map[string]int32{
	"INVALID":          0,
	"FAILED":           1,
	"CRASHED":          2,
	"EXPIRED":          3,
	"TIMED_OUT":        4,
	"CANCELLED":        5,
	"REJECTED":         6,
	"MISSING":          7,
	"RESULT_MALFORMED": 8,
}

func (x AbnormalFinish_Status) String() string {
	return proto.EnumName(AbnormalFinish_Status_name, int32(x))
}
func (AbnormalFinish_Status) EnumDescriptor() ([]byte, []int) { return fileDescriptor3, []int{0, 0} }

type Attempt_State int32

const (
	// The Attempt is waiting to be Executed.
	Attempt_SCHEDULING Attempt_State = 0
	// The Attempt is currently waiting for its current Execution to finish.
	Attempt_EXECUTING Attempt_State = 1
	// The Attempt is waiting for dependent Attempts to be resolved.
	Attempt_WAITING Attempt_State = 2
	// The Attempt is in its final state.
	Attempt_FINISHED Attempt_State = 3
	// The Attempt is in an abnormal final state.
	Attempt_ABNORMAL_FINISHED Attempt_State = 4
)

var Attempt_State_name = map[int32]string{
	0: "SCHEDULING",
	1: "EXECUTING",
	2: "WAITING",
	3: "FINISHED",
	4: "ABNORMAL_FINISHED",
}
var Attempt_State_value = map[string]int32{
	"SCHEDULING":        0,
	"EXECUTING":         1,
	"WAITING":           2,
	"FINISHED":          3,
	"ABNORMAL_FINISHED": 4,
}

func (x Attempt_State) String() string {
	return proto.EnumName(Attempt_State_name, int32(x))
}
func (Attempt_State) EnumDescriptor() ([]byte, []int) { return fileDescriptor3, []int{4, 0} }

type Attempt_Partial_Result int32

const (
	// LOADED implies that the result was, in fact, loaded.
	Attempt_Partial_LOADED Attempt_Partial_Result = 0
	// NOT_LOADED is set if the result failed to load because there was
	// a transient error or the request ran out of time.
	Attempt_Partial_NOT_LOADED Attempt_Partial_Result = 1
	// NOT_AUTHORIZED is set if the query was authenticated from an Execution
	// whose Attempt doesn't depend on this one.
	Attempt_Partial_NOT_AUTHORIZED Attempt_Partial_Result = 2
	// DATA_SIZE_LIMIT is set if the max_data_size limit was reached.
	Attempt_Partial_DATA_SIZE_LIMIT Attempt_Partial_Result = 3
)

var Attempt_Partial_Result_name = map[int32]string{
	0: "LOADED",
	1: "NOT_LOADED",
	2: "NOT_AUTHORIZED",
	3: "DATA_SIZE_LIMIT",
}
var Attempt_Partial_Result_value = map[string]int32{
	"LOADED":          0,
	"NOT_LOADED":      1,
	"NOT_AUTHORIZED":  2,
	"DATA_SIZE_LIMIT": 3,
}

func (x Attempt_Partial_Result) String() string {
	return proto.EnumName(Attempt_Partial_Result_name, int32(x))
}
func (Attempt_Partial_Result) EnumDescriptor() ([]byte, []int) { return fileDescriptor3, []int{4, 3, 0} }

type Execution_State int32

const (
	// The execution has been accepted by the distributor, but is not running
	// yet.
	Execution_SCHEDULING Execution_State = 0
	// The execution is running (has activated with DM).
	Execution_RUNNING Execution_State = 1
	// The execution has been told to stop by DM, but we haven't heard from
	// the distributor yet.
	Execution_STOPPING Execution_State = 2
	// The execution is in its final state.
	Execution_FINISHED Execution_State = 3
	// The execution is in an abnormal final state
	Execution_ABNORMAL_FINISHED Execution_State = 4
)

var Execution_State_name = map[int32]string{
	0: "SCHEDULING",
	1: "RUNNING",
	2: "STOPPING",
	3: "FINISHED",
	4: "ABNORMAL_FINISHED",
}
var Execution_State_value = map[string]int32{
	"SCHEDULING":        0,
	"RUNNING":           1,
	"STOPPING":          2,
	"FINISHED":          3,
	"ABNORMAL_FINISHED": 4,
}

func (x Execution_State) String() string {
	return proto.EnumName(Execution_State_name, int32(x))
}
func (Execution_State) EnumDescriptor() ([]byte, []int) { return fileDescriptor3, []int{5, 0} }

type AbnormalFinish struct {
	Status AbnormalFinish_Status `protobuf:"varint,1,opt,name=status,enum=dm.AbnormalFinish_Status" json:"status,omitempty"`
	Reason string                `protobuf:"bytes,2,opt,name=reason" json:"reason,omitempty"`
}

func (m *AbnormalFinish) Reset()                    { *m = AbnormalFinish{} }
func (m *AbnormalFinish) String() string            { return proto.CompactTextString(m) }
func (*AbnormalFinish) ProtoMessage()               {}
func (*AbnormalFinish) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{0} }

func (m *AbnormalFinish) GetStatus() AbnormalFinish_Status {
	if m != nil {
		return m.Status
	}
	return AbnormalFinish_INVALID
}

func (m *AbnormalFinish) GetReason() string {
	if m != nil {
		return m.Reason
	}
	return ""
}

type Quest struct {
	Id *Quest_ID `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	// DNE is set to true if this Quest does not exist. None of the following
	// fields are valid if this is set to true.
	DNE  bool        `protobuf:"varint,2,opt,name=DNE" json:"DNE,omitempty"`
	Data *Quest_Data `protobuf:"bytes,3,opt,name=data" json:"data,omitempty"`
	// key is the `id` field of the Attempt.ID
	Attempts map[uint32]*Attempt `protobuf:"bytes,4,rep,name=attempts" json:"attempts,omitempty" protobuf_key:"varint,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	// Partial is true iff the request asked for QuestData, but wasn't able to
	// completely fill it.
	Partial bool `protobuf:"varint,16,opt,name=partial" json:"partial,omitempty"`
}

func (m *Quest) Reset()                    { *m = Quest{} }
func (m *Quest) String() string            { return proto.CompactTextString(m) }
func (*Quest) ProtoMessage()               {}
func (*Quest) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{1} }

func (m *Quest) GetId() *Quest_ID {
	if m != nil {
		return m.Id
	}
	return nil
}

func (m *Quest) GetDNE() bool {
	if m != nil {
		return m.DNE
	}
	return false
}

func (m *Quest) GetData() *Quest_Data {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *Quest) GetAttempts() map[uint32]*Attempt {
	if m != nil {
		return m.Attempts
	}
	return nil
}

func (m *Quest) GetPartial() bool {
	if m != nil {
		return m.Partial
	}
	return false
}

type Quest_ID struct {
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
}

func (m *Quest_ID) Reset()                    { *m = Quest_ID{} }
func (m *Quest_ID) String() string            { return proto.CompactTextString(m) }
func (*Quest_ID) ProtoMessage()               {}
func (*Quest_ID) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{1, 0} }

func (m *Quest_ID) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type Quest_Desc struct {
	// This names a specific distributor configuration (or alias) in the
	// service's distributors.cfg file. This will be used to look up the
	// distributor's implementation and connection information when Attempts for
	// this Quest are Executed.
	DistributorConfigName string `protobuf:"bytes,1,opt,name=distributor_config_name,json=distributorConfigName" json:"distributor_config_name,omitempty"`
	// A JSON object which corresponds to the input parameters for the job.
	// These will be passed in a distributor-specific way to the job. This is
	// a freeform JSON object, and must parse as such, but otherwise doesn't
	// necessarily have a server-enforced schema.
	//
	// The distributor implementation in DM will not use the contents of these
	// to make any scheduling decisions.
	//
	// The distributor MAY choose to validate some schema for these parameters.
	Parameters string `protobuf:"bytes,2,opt,name=parameters" json:"parameters,omitempty"`
	// A JSON object which corresponds to the distributor-specific parameters
	// for the job.
	//
	// The distributor defines and validates the schema for these, and will use
	// the values herein to make decisions about how the job is run. It is up to
	// the distributor whether these values are passed on to the job, and if so
	// in what form.
	DistributorParameters string `protobuf:"bytes,3,opt,name=distributor_parameters,json=distributorParameters" json:"distributor_parameters,omitempty"`
	// This is metadata which doesn't affect the functionality of the payload,
	// but does affect how DM interacts with the distributor when scheduling
	// Executions.
	Meta *Quest_Desc_Meta `protobuf:"bytes,4,opt,name=meta" json:"meta,omitempty"`
}

func (m *Quest_Desc) Reset()                    { *m = Quest_Desc{} }
func (m *Quest_Desc) String() string            { return proto.CompactTextString(m) }
func (*Quest_Desc) ProtoMessage()               {}
func (*Quest_Desc) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{1, 1} }

func (m *Quest_Desc) GetDistributorConfigName() string {
	if m != nil {
		return m.DistributorConfigName
	}
	return ""
}

func (m *Quest_Desc) GetParameters() string {
	if m != nil {
		return m.Parameters
	}
	return ""
}

func (m *Quest_Desc) GetDistributorParameters() string {
	if m != nil {
		return m.DistributorParameters
	}
	return ""
}

func (m *Quest_Desc) GetMeta() *Quest_Desc_Meta {
	if m != nil {
		return m.Meta
	}
	return nil
}

type Quest_Desc_Meta struct {
	// This names the user/service account for all Attempts on this quest. You
	// must have permission to use this account when creating the Quest and/or
	// Attempts.
	AsAccount string `protobuf:"bytes,1,opt,name=as_account,json=asAccount" json:"as_account,omitempty"`
	// This affects how DM will retry the job payload in various exceptional
	// circumstances.
	Retry    *Quest_Desc_Meta_Retry    `protobuf:"bytes,2,opt,name=retry" json:"retry,omitempty"`
	Timeouts *Quest_Desc_Meta_Timeouts `protobuf:"bytes,3,opt,name=timeouts" json:"timeouts,omitempty"`
}

func (m *Quest_Desc_Meta) Reset()                    { *m = Quest_Desc_Meta{} }
func (m *Quest_Desc_Meta) String() string            { return proto.CompactTextString(m) }
func (*Quest_Desc_Meta) ProtoMessage()               {}
func (*Quest_Desc_Meta) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{1, 1, 0} }

func (m *Quest_Desc_Meta) GetAsAccount() string {
	if m != nil {
		return m.AsAccount
	}
	return ""
}

func (m *Quest_Desc_Meta) GetRetry() *Quest_Desc_Meta_Retry {
	if m != nil {
		return m.Retry
	}
	return nil
}

func (m *Quest_Desc_Meta) GetTimeouts() *Quest_Desc_Meta_Timeouts {
	if m != nil {
		return m.Timeouts
	}
	return nil
}

// Retry specifies the number of times in a row that DM should re-Execute
// an Attempt due to the provided abnormal result.
//
// NOTE: The proto tag numbers for these MUST be aligned with the
// enumeration values of AbnormalFinish.Status!
type Quest_Desc_Meta_Retry struct {
	// The number of times in a row to retry Executions which have an
	// ABNORMAL_FINISHED status of FAILED.
	Failed uint32 `protobuf:"varint,1,opt,name=failed" json:"failed,omitempty"`
	// The number of times in a row to retry Executions which have an
	// ABNORMAL_FINISHED status of CRASHED.
	Crashed uint32 `protobuf:"varint,2,opt,name=crashed" json:"crashed,omitempty"`
	// The number of times in a row to retry Executions which have an
	// ABNORMAL_FINISHED status of EXPIRED.
	Expired uint32 `protobuf:"varint,3,opt,name=expired" json:"expired,omitempty"`
	// The number of times in a row to retry Executions which have an
	// ABNORMAL_FINISHED status of TIMED_OUT.
	TimedOut uint32 `protobuf:"varint,4,opt,name=timed_out,json=timedOut" json:"timed_out,omitempty"`
}

func (m *Quest_Desc_Meta_Retry) Reset()                    { *m = Quest_Desc_Meta_Retry{} }
func (m *Quest_Desc_Meta_Retry) String() string            { return proto.CompactTextString(m) }
func (*Quest_Desc_Meta_Retry) ProtoMessage()               {}
func (*Quest_Desc_Meta_Retry) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{1, 1, 0, 0} }

func (m *Quest_Desc_Meta_Retry) GetFailed() uint32 {
	if m != nil {
		return m.Failed
	}
	return 0
}

func (m *Quest_Desc_Meta_Retry) GetCrashed() uint32 {
	if m != nil {
		return m.Crashed
	}
	return 0
}

func (m *Quest_Desc_Meta_Retry) GetExpired() uint32 {
	if m != nil {
		return m.Expired
	}
	return 0
}

func (m *Quest_Desc_Meta_Retry) GetTimedOut() uint32 {
	if m != nil {
		return m.TimedOut
	}
	return 0
}

// Timing describes the amount of time that Executions for this Quest
// should have, on the following timeline:
//   Event: execution sent to distributor
//     ^ "start" v
//   Event: execution sends ActivateExecution
//     ^ "run" v
//   Event: execution sends halting RPC (either ActivateExecution or
//     EnsureGraphData)
//     ^ "stop" v
//   Event: distributor gives execution result back to DM
//
// If the given timeout hits before the next event in the timeline, DM
// will mark the Execution as TIMED_OUT, and the appropriate retry policy
// will be applied.
//
// If a given timeout is unlimited, leave the duration unset or 0.
type Quest_Desc_Meta_Timeouts struct {
	Start *google_protobuf.Duration `protobuf:"bytes,1,opt,name=start" json:"start,omitempty"`
	Run   *google_protobuf.Duration `protobuf:"bytes,2,opt,name=run" json:"run,omitempty"`
	Stop  *google_protobuf.Duration `protobuf:"bytes,3,opt,name=stop" json:"stop,omitempty"`
}

func (m *Quest_Desc_Meta_Timeouts) Reset()         { *m = Quest_Desc_Meta_Timeouts{} }
func (m *Quest_Desc_Meta_Timeouts) String() string { return proto.CompactTextString(m) }
func (*Quest_Desc_Meta_Timeouts) ProtoMessage()    {}
func (*Quest_Desc_Meta_Timeouts) Descriptor() ([]byte, []int) {
	return fileDescriptor3, []int{1, 1, 0, 1}
}

func (m *Quest_Desc_Meta_Timeouts) GetStart() *google_protobuf.Duration {
	if m != nil {
		return m.Start
	}
	return nil
}

func (m *Quest_Desc_Meta_Timeouts) GetRun() *google_protobuf.Duration {
	if m != nil {
		return m.Run
	}
	return nil
}

func (m *Quest_Desc_Meta_Timeouts) GetStop() *google_protobuf.Duration {
	if m != nil {
		return m.Stop
	}
	return nil
}

type Quest_TemplateSpec struct {
	Project string `protobuf:"bytes,1,opt,name=project" json:"project,omitempty"`
	Ref     string `protobuf:"bytes,2,opt,name=ref" json:"ref,omitempty"`
	Version string `protobuf:"bytes,3,opt,name=version" json:"version,omitempty"`
	Name    string `protobuf:"bytes,4,opt,name=name" json:"name,omitempty"`
}

func (m *Quest_TemplateSpec) Reset()                    { *m = Quest_TemplateSpec{} }
func (m *Quest_TemplateSpec) String() string            { return proto.CompactTextString(m) }
func (*Quest_TemplateSpec) ProtoMessage()               {}
func (*Quest_TemplateSpec) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{1, 2} }

func (m *Quest_TemplateSpec) GetProject() string {
	if m != nil {
		return m.Project
	}
	return ""
}

func (m *Quest_TemplateSpec) GetRef() string {
	if m != nil {
		return m.Ref
	}
	return ""
}

func (m *Quest_TemplateSpec) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

func (m *Quest_TemplateSpec) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type Quest_Data struct {
	Created *google_protobuf1.Timestamp `protobuf:"bytes,1,opt,name=created" json:"created,omitempty"`
	Desc    *Quest_Desc                 `protobuf:"bytes,2,opt,name=desc" json:"desc,omitempty"`
	BuiltBy []*Quest_TemplateSpec       `protobuf:"bytes,3,rep,name=built_by,json=builtBy" json:"built_by,omitempty"`
}

func (m *Quest_Data) Reset()                    { *m = Quest_Data{} }
func (m *Quest_Data) String() string            { return proto.CompactTextString(m) }
func (*Quest_Data) ProtoMessage()               {}
func (*Quest_Data) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{1, 3} }

func (m *Quest_Data) GetCreated() *google_protobuf1.Timestamp {
	if m != nil {
		return m.Created
	}
	return nil
}

func (m *Quest_Data) GetDesc() *Quest_Desc {
	if m != nil {
		return m.Desc
	}
	return nil
}

func (m *Quest_Data) GetBuiltBy() []*Quest_TemplateSpec {
	if m != nil {
		return m.BuiltBy
	}
	return nil
}

// JsonResult represents a free-form JSON object. It has a maximum size of
// 256KB normalized (no extra whitespace). DM will normalize incoming
// JSONObjects before recalculating their size.
type JsonResult struct {
	// Guaranteed to be a JSON object `{...}` or the empty string (if this is part
	// of a Partial result from e.g. a WalkGraph RPC).
	Object string `protobuf:"bytes,1,opt,name=object" json:"object,omitempty"`
	// The length of data. If this message is non-nil, this will have a value even
	// if object is empty (e.g. for a partial result). This is useful for query
	// results where you either opt to not load the data (include.*.data ==
	// false), or the response exceeds the size limit (so you can see how big the
	// data would have been if the limit wasn't exceeded).
	Size uint32 `protobuf:"varint,2,opt,name=size" json:"size,omitempty"`
	// The timestamp of when this JsonResult's contents expire. If omitted, it
	// should be assumed that the contents never expire.
	Expiration *google_protobuf1.Timestamp `protobuf:"bytes,3,opt,name=expiration" json:"expiration,omitempty"`
}

func (m *JsonResult) Reset()                    { *m = JsonResult{} }
func (m *JsonResult) String() string            { return proto.CompactTextString(m) }
func (*JsonResult) ProtoMessage()               {}
func (*JsonResult) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{2} }

func (m *JsonResult) GetObject() string {
	if m != nil {
		return m.Object
	}
	return ""
}

func (m *JsonResult) GetSize() uint32 {
	if m != nil {
		return m.Size
	}
	return 0
}

func (m *JsonResult) GetExpiration() *google_protobuf1.Timestamp {
	if m != nil {
		return m.Expiration
	}
	return nil
}

// Result holds either data OR abnormal finish information.
type Result struct {
	Data           *JsonResult     `protobuf:"bytes,1,opt,name=data" json:"data,omitempty"`
	AbnormalFinish *AbnormalFinish `protobuf:"bytes,2,opt,name=abnormal_finish,json=abnormalFinish" json:"abnormal_finish,omitempty"`
}

func (m *Result) Reset()                    { *m = Result{} }
func (m *Result) String() string            { return proto.CompactTextString(m) }
func (*Result) ProtoMessage()               {}
func (*Result) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{3} }

func (m *Result) GetData() *JsonResult {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *Result) GetAbnormalFinish() *AbnormalFinish {
	if m != nil {
		return m.AbnormalFinish
	}
	return nil
}

type Attempt struct {
	Id *Attempt_ID `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	// DNE is set to true if this Attempt does not exist. None of the following
	// fields are valid if this is set to true.
	DNE  bool          `protobuf:"varint,2,opt,name=DNE" json:"DNE,omitempty"`
	Data *Attempt_Data `protobuf:"bytes,3,opt,name=data" json:"data,omitempty"`
	// key is the `id` field of the Execution.ID
	Executions map[uint32]*Execution `protobuf:"bytes,4,rep,name=executions" json:"executions,omitempty" protobuf_key:"varint,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	FwdDeps    *AttemptList          `protobuf:"bytes,5,opt,name=fwd_deps,json=fwdDeps" json:"fwd_deps,omitempty"`
	BackDeps   *AttemptList          `protobuf:"bytes,6,opt,name=back_deps,json=backDeps" json:"back_deps,omitempty"`
	// Partial values are true iff the request asked for AttemptData, Executions
	// or Deps, but wasn't able to completely fill them. If Partial is omitted,
	// it means that no partial data exists in this Attempt.
	Partial *Attempt_Partial `protobuf:"bytes,16,opt,name=partial" json:"partial,omitempty"`
}

func (m *Attempt) Reset()                    { *m = Attempt{} }
func (m *Attempt) String() string            { return proto.CompactTextString(m) }
func (*Attempt) ProtoMessage()               {}
func (*Attempt) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{4} }

func (m *Attempt) GetId() *Attempt_ID {
	if m != nil {
		return m.Id
	}
	return nil
}

func (m *Attempt) GetDNE() bool {
	if m != nil {
		return m.DNE
	}
	return false
}

func (m *Attempt) GetData() *Attempt_Data {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *Attempt) GetExecutions() map[uint32]*Execution {
	if m != nil {
		return m.Executions
	}
	return nil
}

func (m *Attempt) GetFwdDeps() *AttemptList {
	if m != nil {
		return m.FwdDeps
	}
	return nil
}

func (m *Attempt) GetBackDeps() *AttemptList {
	if m != nil {
		return m.BackDeps
	}
	return nil
}

func (m *Attempt) GetPartial() *Attempt_Partial {
	if m != nil {
		return m.Partial
	}
	return nil
}

type Attempt_ID struct {
	Quest string `protobuf:"bytes,1,opt,name=quest" json:"quest,omitempty"`
	Id    uint32 `protobuf:"varint,2,opt,name=id" json:"id,omitempty"`
}

func (m *Attempt_ID) Reset()                    { *m = Attempt_ID{} }
func (m *Attempt_ID) String() string            { return proto.CompactTextString(m) }
func (*Attempt_ID) ProtoMessage()               {}
func (*Attempt_ID) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{4, 0} }

func (m *Attempt_ID) GetQuest() string {
	if m != nil {
		return m.Quest
	}
	return ""
}

func (m *Attempt_ID) GetId() uint32 {
	if m != nil {
		return m.Id
	}
	return 0
}

type Attempt_Data struct {
	Created       *google_protobuf1.Timestamp `protobuf:"bytes,1,opt,name=created" json:"created,omitempty"`
	Modified      *google_protobuf1.Timestamp `protobuf:"bytes,2,opt,name=modified" json:"modified,omitempty"`
	NumExecutions uint32                      `protobuf:"varint,3,opt,name=num_executions,json=numExecutions" json:"num_executions,omitempty"`
	// Types that are valid to be assigned to AttemptType:
	//	*Attempt_Data_Scheduling_
	//	*Attempt_Data_Executing_
	//	*Attempt_Data_Waiting_
	//	*Attempt_Data_Finished_
	//	*Attempt_Data_AbnormalFinish
	AttemptType isAttempt_Data_AttemptType `protobuf_oneof:"attempt_type"`
}

func (m *Attempt_Data) Reset()                    { *m = Attempt_Data{} }
func (m *Attempt_Data) String() string            { return proto.CompactTextString(m) }
func (*Attempt_Data) ProtoMessage()               {}
func (*Attempt_Data) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{4, 1} }

type isAttempt_Data_AttemptType interface {
	isAttempt_Data_AttemptType()
}

type Attempt_Data_Scheduling_ struct {
	Scheduling *Attempt_Data_Scheduling `protobuf:"bytes,5,opt,name=scheduling,oneof"`
}
type Attempt_Data_Executing_ struct {
	Executing *Attempt_Data_Executing `protobuf:"bytes,6,opt,name=executing,oneof"`
}
type Attempt_Data_Waiting_ struct {
	Waiting *Attempt_Data_Waiting `protobuf:"bytes,7,opt,name=waiting,oneof"`
}
type Attempt_Data_Finished_ struct {
	Finished *Attempt_Data_Finished `protobuf:"bytes,8,opt,name=finished,oneof"`
}
type Attempt_Data_AbnormalFinish struct {
	AbnormalFinish *AbnormalFinish `protobuf:"bytes,9,opt,name=abnormal_finish,json=abnormalFinish,oneof"`
}

func (*Attempt_Data_Scheduling_) isAttempt_Data_AttemptType()    {}
func (*Attempt_Data_Executing_) isAttempt_Data_AttemptType()     {}
func (*Attempt_Data_Waiting_) isAttempt_Data_AttemptType()       {}
func (*Attempt_Data_Finished_) isAttempt_Data_AttemptType()      {}
func (*Attempt_Data_AbnormalFinish) isAttempt_Data_AttemptType() {}

func (m *Attempt_Data) GetAttemptType() isAttempt_Data_AttemptType {
	if m != nil {
		return m.AttemptType
	}
	return nil
}

func (m *Attempt_Data) GetCreated() *google_protobuf1.Timestamp {
	if m != nil {
		return m.Created
	}
	return nil
}

func (m *Attempt_Data) GetModified() *google_protobuf1.Timestamp {
	if m != nil {
		return m.Modified
	}
	return nil
}

func (m *Attempt_Data) GetNumExecutions() uint32 {
	if m != nil {
		return m.NumExecutions
	}
	return 0
}

func (m *Attempt_Data) GetScheduling() *Attempt_Data_Scheduling {
	if x, ok := m.GetAttemptType().(*Attempt_Data_Scheduling_); ok {
		return x.Scheduling
	}
	return nil
}

func (m *Attempt_Data) GetExecuting() *Attempt_Data_Executing {
	if x, ok := m.GetAttemptType().(*Attempt_Data_Executing_); ok {
		return x.Executing
	}
	return nil
}

func (m *Attempt_Data) GetWaiting() *Attempt_Data_Waiting {
	if x, ok := m.GetAttemptType().(*Attempt_Data_Waiting_); ok {
		return x.Waiting
	}
	return nil
}

func (m *Attempt_Data) GetFinished() *Attempt_Data_Finished {
	if x, ok := m.GetAttemptType().(*Attempt_Data_Finished_); ok {
		return x.Finished
	}
	return nil
}

func (m *Attempt_Data) GetAbnormalFinish() *AbnormalFinish {
	if x, ok := m.GetAttemptType().(*Attempt_Data_AbnormalFinish); ok {
		return x.AbnormalFinish
	}
	return nil
}

// XXX_OneofFuncs is for the internal use of the proto package.
func (*Attempt_Data) XXX_OneofFuncs() (func(msg proto.Message, b *proto.Buffer) error, func(msg proto.Message, tag, wire int, b *proto.Buffer) (bool, error), func(msg proto.Message) (n int), []interface{}) {
	return _Attempt_Data_OneofMarshaler, _Attempt_Data_OneofUnmarshaler, _Attempt_Data_OneofSizer, []interface{}{
		(*Attempt_Data_Scheduling_)(nil),
		(*Attempt_Data_Executing_)(nil),
		(*Attempt_Data_Waiting_)(nil),
		(*Attempt_Data_Finished_)(nil),
		(*Attempt_Data_AbnormalFinish)(nil),
	}
}

func _Attempt_Data_OneofMarshaler(msg proto.Message, b *proto.Buffer) error {
	m := msg.(*Attempt_Data)
	// attempt_type
	switch x := m.AttemptType.(type) {
	case *Attempt_Data_Scheduling_:
		b.EncodeVarint(5<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.Scheduling); err != nil {
			return err
		}
	case *Attempt_Data_Executing_:
		b.EncodeVarint(6<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.Executing); err != nil {
			return err
		}
	case *Attempt_Data_Waiting_:
		b.EncodeVarint(7<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.Waiting); err != nil {
			return err
		}
	case *Attempt_Data_Finished_:
		b.EncodeVarint(8<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.Finished); err != nil {
			return err
		}
	case *Attempt_Data_AbnormalFinish:
		b.EncodeVarint(9<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.AbnormalFinish); err != nil {
			return err
		}
	case nil:
	default:
		return fmt.Errorf("Attempt_Data.AttemptType has unexpected type %T", x)
	}
	return nil
}

func _Attempt_Data_OneofUnmarshaler(msg proto.Message, tag, wire int, b *proto.Buffer) (bool, error) {
	m := msg.(*Attempt_Data)
	switch tag {
	case 5: // attempt_type.scheduling
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(Attempt_Data_Scheduling)
		err := b.DecodeMessage(msg)
		m.AttemptType = &Attempt_Data_Scheduling_{msg}
		return true, err
	case 6: // attempt_type.executing
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(Attempt_Data_Executing)
		err := b.DecodeMessage(msg)
		m.AttemptType = &Attempt_Data_Executing_{msg}
		return true, err
	case 7: // attempt_type.waiting
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(Attempt_Data_Waiting)
		err := b.DecodeMessage(msg)
		m.AttemptType = &Attempt_Data_Waiting_{msg}
		return true, err
	case 8: // attempt_type.finished
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(Attempt_Data_Finished)
		err := b.DecodeMessage(msg)
		m.AttemptType = &Attempt_Data_Finished_{msg}
		return true, err
	case 9: // attempt_type.abnormal_finish
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(AbnormalFinish)
		err := b.DecodeMessage(msg)
		m.AttemptType = &Attempt_Data_AbnormalFinish{msg}
		return true, err
	default:
		return false, nil
	}
}

func _Attempt_Data_OneofSizer(msg proto.Message) (n int) {
	m := msg.(*Attempt_Data)
	// attempt_type
	switch x := m.AttemptType.(type) {
	case *Attempt_Data_Scheduling_:
		s := proto.Size(x.Scheduling)
		n += proto.SizeVarint(5<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case *Attempt_Data_Executing_:
		s := proto.Size(x.Executing)
		n += proto.SizeVarint(6<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case *Attempt_Data_Waiting_:
		s := proto.Size(x.Waiting)
		n += proto.SizeVarint(7<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case *Attempt_Data_Finished_:
		s := proto.Size(x.Finished)
		n += proto.SizeVarint(8<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case *Attempt_Data_AbnormalFinish:
		s := proto.Size(x.AbnormalFinish)
		n += proto.SizeVarint(9<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case nil:
	default:
		panic(fmt.Sprintf("proto: unexpected type %T in oneof", x))
	}
	return n
}

// This attempt is ready to be Executed, but hasn't been sent to the
// distributor yet.
type Attempt_Data_Scheduling struct {
}

func (m *Attempt_Data_Scheduling) Reset()                    { *m = Attempt_Data_Scheduling{} }
func (m *Attempt_Data_Scheduling) String() string            { return proto.CompactTextString(m) }
func (*Attempt_Data_Scheduling) ProtoMessage()               {}
func (*Attempt_Data_Scheduling) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{4, 1, 0} }

// This attempt has a live Execution (with the specified ID). Check the
// Execution state for more information.
type Attempt_Data_Executing struct {
	CurExecutionId uint32 `protobuf:"varint,1,opt,name=cur_execution_id,json=curExecutionId" json:"cur_execution_id,omitempty"`
}

func (m *Attempt_Data_Executing) Reset()                    { *m = Attempt_Data_Executing{} }
func (m *Attempt_Data_Executing) String() string            { return proto.CompactTextString(m) }
func (*Attempt_Data_Executing) ProtoMessage()               {}
func (*Attempt_Data_Executing) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{4, 1, 1} }

func (m *Attempt_Data_Executing) GetCurExecutionId() uint32 {
	if m != nil {
		return m.CurExecutionId
	}
	return 0
}

// This attempt's last Execution stopped by adding dependencies.
type Attempt_Data_Waiting struct {
	NumWaiting uint32 `protobuf:"varint,1,opt,name=num_waiting,json=numWaiting" json:"num_waiting,omitempty"`
}

func (m *Attempt_Data_Waiting) Reset()                    { *m = Attempt_Data_Waiting{} }
func (m *Attempt_Data_Waiting) String() string            { return proto.CompactTextString(m) }
func (*Attempt_Data_Waiting) ProtoMessage()               {}
func (*Attempt_Data_Waiting) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{4, 1, 2} }

func (m *Attempt_Data_Waiting) GetNumWaiting() uint32 {
	if m != nil {
		return m.NumWaiting
	}
	return 0
}

// This attempt is complete.
type Attempt_Data_Finished struct {
	// The result of the Attempt. To obtain the distributor specific result
	// for the last execution, make sure to include at least one Execution in
	// your query.
	//
	// Only if `include.attempt.data == true`, will the response include
	// data.object.
	Data *JsonResult `protobuf:"bytes,1,opt,name=data" json:"data,omitempty"`
}

func (m *Attempt_Data_Finished) Reset()                    { *m = Attempt_Data_Finished{} }
func (m *Attempt_Data_Finished) String() string            { return proto.CompactTextString(m) }
func (*Attempt_Data_Finished) ProtoMessage()               {}
func (*Attempt_Data_Finished) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{4, 1, 3} }

func (m *Attempt_Data_Finished) GetData() *JsonResult {
	if m != nil {
		return m.Data
	}
	return nil
}

type Attempt_Partial struct {
	// Data is true iff the AttemptData should have been filled, but wasn't
	Data bool `protobuf:"varint,1,opt,name=data" json:"data,omitempty"`
	// Executions is true iff the Executions were requested, but not all of
	// them could be loaded.
	Executions bool `protobuf:"varint,2,opt,name=executions" json:"executions,omitempty"`
	// FwdDeps is true iff FwdDeps were requested, but not all of them could be
	// loaded.
	FwdDeps bool `protobuf:"varint,3,opt,name=fwd_deps,json=fwdDeps" json:"fwd_deps,omitempty"`
	// BackDeps is true iff BackDeps were requested, but not all of them could be
	// loaded.
	BackDeps bool `protobuf:"varint,4,opt,name=back_deps,json=backDeps" json:"back_deps,omitempty"`
	// result is set if AttemptResults were requested, and the attempt_type is
	// Finished, but for some reason the result but wasn't loaded.
	Result Attempt_Partial_Result `protobuf:"varint,5,opt,name=result,enum=dm.Attempt_Partial_Result" json:"result,omitempty"`
}

func (m *Attempt_Partial) Reset()                    { *m = Attempt_Partial{} }
func (m *Attempt_Partial) String() string            { return proto.CompactTextString(m) }
func (*Attempt_Partial) ProtoMessage()               {}
func (*Attempt_Partial) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{4, 3} }

func (m *Attempt_Partial) GetData() bool {
	if m != nil {
		return m.Data
	}
	return false
}

func (m *Attempt_Partial) GetExecutions() bool {
	if m != nil {
		return m.Executions
	}
	return false
}

func (m *Attempt_Partial) GetFwdDeps() bool {
	if m != nil {
		return m.FwdDeps
	}
	return false
}

func (m *Attempt_Partial) GetBackDeps() bool {
	if m != nil {
		return m.BackDeps
	}
	return false
}

func (m *Attempt_Partial) GetResult() Attempt_Partial_Result {
	if m != nil {
		return m.Result
	}
	return Attempt_Partial_LOADED
}

type Execution struct {
	Id   *Execution_ID   `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	Data *Execution_Data `protobuf:"bytes,2,opt,name=data" json:"data,omitempty"`
	// Partial is true iff the request asked for Executions, but wasn't able to
	// completely fill them.
	Partial bool `protobuf:"varint,16,opt,name=partial" json:"partial,omitempty"`
}

func (m *Execution) Reset()                    { *m = Execution{} }
func (m *Execution) String() string            { return proto.CompactTextString(m) }
func (*Execution) ProtoMessage()               {}
func (*Execution) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{5} }

func (m *Execution) GetId() *Execution_ID {
	if m != nil {
		return m.Id
	}
	return nil
}

func (m *Execution) GetData() *Execution_Data {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *Execution) GetPartial() bool {
	if m != nil {
		return m.Partial
	}
	return false
}

// Execution_Auth is a tuple of the requesting ExecutionID and the activated
// Execution Token (see the ActivateExecution rpc).
type Execution_Auth struct {
	Id    *Execution_ID `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	Token []byte        `protobuf:"bytes,2,opt,name=token,proto3" json:"token,omitempty"`
}

func (m *Execution_Auth) Reset()                    { *m = Execution_Auth{} }
func (m *Execution_Auth) String() string            { return proto.CompactTextString(m) }
func (*Execution_Auth) ProtoMessage()               {}
func (*Execution_Auth) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{5, 0} }

func (m *Execution_Auth) GetId() *Execution_ID {
	if m != nil {
		return m.Id
	}
	return nil
}

func (m *Execution_Auth) GetToken() []byte {
	if m != nil {
		return m.Token
	}
	return nil
}

type Execution_ID struct {
	Quest   string `protobuf:"bytes,1,opt,name=quest" json:"quest,omitempty"`
	Attempt uint32 `protobuf:"varint,2,opt,name=attempt" json:"attempt,omitempty"`
	Id      uint32 `protobuf:"varint,3,opt,name=id" json:"id,omitempty"`
}

func (m *Execution_ID) Reset()                    { *m = Execution_ID{} }
func (m *Execution_ID) String() string            { return proto.CompactTextString(m) }
func (*Execution_ID) ProtoMessage()               {}
func (*Execution_ID) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{5, 1} }

func (m *Execution_ID) GetQuest() string {
	if m != nil {
		return m.Quest
	}
	return ""
}

func (m *Execution_ID) GetAttempt() uint32 {
	if m != nil {
		return m.Attempt
	}
	return 0
}

func (m *Execution_ID) GetId() uint32 {
	if m != nil {
		return m.Id
	}
	return 0
}

type Execution_Data struct {
	Created         *google_protobuf1.Timestamp     `protobuf:"bytes,1,opt,name=created" json:"created,omitempty"`
	Modified        *google_protobuf1.Timestamp     `protobuf:"bytes,2,opt,name=modified" json:"modified,omitempty"`
	DistributorInfo *Execution_Data_DistributorInfo `protobuf:"bytes,3,opt,name=distributor_info,json=distributorInfo" json:"distributor_info,omitempty"`
	// Types that are valid to be assigned to ExecutionType:
	//	*Execution_Data_Scheduling_
	//	*Execution_Data_Running_
	//	*Execution_Data_Stopping_
	//	*Execution_Data_Finished_
	//	*Execution_Data_AbnormalFinish
	ExecutionType isExecution_Data_ExecutionType `protobuf_oneof:"execution_type"`
}

func (m *Execution_Data) Reset()                    { *m = Execution_Data{} }
func (m *Execution_Data) String() string            { return proto.CompactTextString(m) }
func (*Execution_Data) ProtoMessage()               {}
func (*Execution_Data) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{5, 2} }

type isExecution_Data_ExecutionType interface {
	isExecution_Data_ExecutionType()
}

type Execution_Data_Scheduling_ struct {
	Scheduling *Execution_Data_Scheduling `protobuf:"bytes,4,opt,name=scheduling,oneof"`
}
type Execution_Data_Running_ struct {
	Running *Execution_Data_Running `protobuf:"bytes,5,opt,name=running,oneof"`
}
type Execution_Data_Stopping_ struct {
	Stopping *Execution_Data_Stopping `protobuf:"bytes,6,opt,name=stopping,oneof"`
}
type Execution_Data_Finished_ struct {
	Finished *Execution_Data_Finished `protobuf:"bytes,7,opt,name=finished,oneof"`
}
type Execution_Data_AbnormalFinish struct {
	AbnormalFinish *AbnormalFinish `protobuf:"bytes,8,opt,name=abnormal_finish,json=abnormalFinish,oneof"`
}

func (*Execution_Data_Scheduling_) isExecution_Data_ExecutionType()    {}
func (*Execution_Data_Running_) isExecution_Data_ExecutionType()       {}
func (*Execution_Data_Stopping_) isExecution_Data_ExecutionType()      {}
func (*Execution_Data_Finished_) isExecution_Data_ExecutionType()      {}
func (*Execution_Data_AbnormalFinish) isExecution_Data_ExecutionType() {}

func (m *Execution_Data) GetExecutionType() isExecution_Data_ExecutionType {
	if m != nil {
		return m.ExecutionType
	}
	return nil
}

func (m *Execution_Data) GetCreated() *google_protobuf1.Timestamp {
	if m != nil {
		return m.Created
	}
	return nil
}

func (m *Execution_Data) GetModified() *google_protobuf1.Timestamp {
	if m != nil {
		return m.Modified
	}
	return nil
}

func (m *Execution_Data) GetDistributorInfo() *Execution_Data_DistributorInfo {
	if m != nil {
		return m.DistributorInfo
	}
	return nil
}

func (m *Execution_Data) GetScheduling() *Execution_Data_Scheduling {
	if x, ok := m.GetExecutionType().(*Execution_Data_Scheduling_); ok {
		return x.Scheduling
	}
	return nil
}

func (m *Execution_Data) GetRunning() *Execution_Data_Running {
	if x, ok := m.GetExecutionType().(*Execution_Data_Running_); ok {
		return x.Running
	}
	return nil
}

func (m *Execution_Data) GetStopping() *Execution_Data_Stopping {
	if x, ok := m.GetExecutionType().(*Execution_Data_Stopping_); ok {
		return x.Stopping
	}
	return nil
}

func (m *Execution_Data) GetFinished() *Execution_Data_Finished {
	if x, ok := m.GetExecutionType().(*Execution_Data_Finished_); ok {
		return x.Finished
	}
	return nil
}

func (m *Execution_Data) GetAbnormalFinish() *AbnormalFinish {
	if x, ok := m.GetExecutionType().(*Execution_Data_AbnormalFinish); ok {
		return x.AbnormalFinish
	}
	return nil
}

// XXX_OneofFuncs is for the internal use of the proto package.
func (*Execution_Data) XXX_OneofFuncs() (func(msg proto.Message, b *proto.Buffer) error, func(msg proto.Message, tag, wire int, b *proto.Buffer) (bool, error), func(msg proto.Message) (n int), []interface{}) {
	return _Execution_Data_OneofMarshaler, _Execution_Data_OneofUnmarshaler, _Execution_Data_OneofSizer, []interface{}{
		(*Execution_Data_Scheduling_)(nil),
		(*Execution_Data_Running_)(nil),
		(*Execution_Data_Stopping_)(nil),
		(*Execution_Data_Finished_)(nil),
		(*Execution_Data_AbnormalFinish)(nil),
	}
}

func _Execution_Data_OneofMarshaler(msg proto.Message, b *proto.Buffer) error {
	m := msg.(*Execution_Data)
	// execution_type
	switch x := m.ExecutionType.(type) {
	case *Execution_Data_Scheduling_:
		b.EncodeVarint(4<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.Scheduling); err != nil {
			return err
		}
	case *Execution_Data_Running_:
		b.EncodeVarint(5<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.Running); err != nil {
			return err
		}
	case *Execution_Data_Stopping_:
		b.EncodeVarint(6<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.Stopping); err != nil {
			return err
		}
	case *Execution_Data_Finished_:
		b.EncodeVarint(7<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.Finished); err != nil {
			return err
		}
	case *Execution_Data_AbnormalFinish:
		b.EncodeVarint(8<<3 | proto.WireBytes)
		if err := b.EncodeMessage(x.AbnormalFinish); err != nil {
			return err
		}
	case nil:
	default:
		return fmt.Errorf("Execution_Data.ExecutionType has unexpected type %T", x)
	}
	return nil
}

func _Execution_Data_OneofUnmarshaler(msg proto.Message, tag, wire int, b *proto.Buffer) (bool, error) {
	m := msg.(*Execution_Data)
	switch tag {
	case 4: // execution_type.scheduling
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(Execution_Data_Scheduling)
		err := b.DecodeMessage(msg)
		m.ExecutionType = &Execution_Data_Scheduling_{msg}
		return true, err
	case 5: // execution_type.running
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(Execution_Data_Running)
		err := b.DecodeMessage(msg)
		m.ExecutionType = &Execution_Data_Running_{msg}
		return true, err
	case 6: // execution_type.stopping
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(Execution_Data_Stopping)
		err := b.DecodeMessage(msg)
		m.ExecutionType = &Execution_Data_Stopping_{msg}
		return true, err
	case 7: // execution_type.finished
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(Execution_Data_Finished)
		err := b.DecodeMessage(msg)
		m.ExecutionType = &Execution_Data_Finished_{msg}
		return true, err
	case 8: // execution_type.abnormal_finish
		if wire != proto.WireBytes {
			return true, proto.ErrInternalBadWireType
		}
		msg := new(AbnormalFinish)
		err := b.DecodeMessage(msg)
		m.ExecutionType = &Execution_Data_AbnormalFinish{msg}
		return true, err
	default:
		return false, nil
	}
}

func _Execution_Data_OneofSizer(msg proto.Message) (n int) {
	m := msg.(*Execution_Data)
	// execution_type
	switch x := m.ExecutionType.(type) {
	case *Execution_Data_Scheduling_:
		s := proto.Size(x.Scheduling)
		n += proto.SizeVarint(4<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case *Execution_Data_Running_:
		s := proto.Size(x.Running)
		n += proto.SizeVarint(5<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case *Execution_Data_Stopping_:
		s := proto.Size(x.Stopping)
		n += proto.SizeVarint(6<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case *Execution_Data_Finished_:
		s := proto.Size(x.Finished)
		n += proto.SizeVarint(7<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case *Execution_Data_AbnormalFinish:
		s := proto.Size(x.AbnormalFinish)
		n += proto.SizeVarint(8<<3 | proto.WireBytes)
		n += proto.SizeVarint(uint64(s))
		n += s
	case nil:
	default:
		panic(fmt.Sprintf("proto: unexpected type %T in oneof", x))
	}
	return n
}

type Execution_Data_DistributorInfo struct {
	ConfigName    string `protobuf:"bytes,1,opt,name=config_name,json=configName" json:"config_name,omitempty"`
	ConfigVersion string `protobuf:"bytes,2,opt,name=config_version,json=configVersion" json:"config_version,omitempty"`
	Token         string `protobuf:"bytes,3,opt,name=token" json:"token,omitempty"`
	Url           string `protobuf:"bytes,4,opt,name=url" json:"url,omitempty"`
}

func (m *Execution_Data_DistributorInfo) Reset()         { *m = Execution_Data_DistributorInfo{} }
func (m *Execution_Data_DistributorInfo) String() string { return proto.CompactTextString(m) }
func (*Execution_Data_DistributorInfo) ProtoMessage()    {}
func (*Execution_Data_DistributorInfo) Descriptor() ([]byte, []int) {
	return fileDescriptor3, []int{5, 2, 0}
}

func (m *Execution_Data_DistributorInfo) GetConfigName() string {
	if m != nil {
		return m.ConfigName
	}
	return ""
}

func (m *Execution_Data_DistributorInfo) GetConfigVersion() string {
	if m != nil {
		return m.ConfigVersion
	}
	return ""
}

func (m *Execution_Data_DistributorInfo) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

func (m *Execution_Data_DistributorInfo) GetUrl() string {
	if m != nil {
		return m.Url
	}
	return ""
}

type Execution_Data_Scheduling struct {
}

func (m *Execution_Data_Scheduling) Reset()                    { *m = Execution_Data_Scheduling{} }
func (m *Execution_Data_Scheduling) String() string            { return proto.CompactTextString(m) }
func (*Execution_Data_Scheduling) ProtoMessage()               {}
func (*Execution_Data_Scheduling) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{5, 2, 1} }

type Execution_Data_Running struct {
}

func (m *Execution_Data_Running) Reset()                    { *m = Execution_Data_Running{} }
func (m *Execution_Data_Running) String() string            { return proto.CompactTextString(m) }
func (*Execution_Data_Running) ProtoMessage()               {}
func (*Execution_Data_Running) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{5, 2, 2} }

type Execution_Data_Stopping struct {
}

func (m *Execution_Data_Stopping) Reset()                    { *m = Execution_Data_Stopping{} }
func (m *Execution_Data_Stopping) String() string            { return proto.CompactTextString(m) }
func (*Execution_Data_Stopping) ProtoMessage()               {}
func (*Execution_Data_Stopping) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{5, 2, 3} }

type Execution_Data_Finished struct {
	Data *JsonResult `protobuf:"bytes,1,opt,name=data" json:"data,omitempty"`
}

func (m *Execution_Data_Finished) Reset()                    { *m = Execution_Data_Finished{} }
func (m *Execution_Data_Finished) String() string            { return proto.CompactTextString(m) }
func (*Execution_Data_Finished) ProtoMessage()               {}
func (*Execution_Data_Finished) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{5, 2, 4} }

func (m *Execution_Data_Finished) GetData() *JsonResult {
	if m != nil {
		return m.Data
	}
	return nil
}

// GraphData defines all of the DM graph data that may be returned from DM.
//
// Currently only WalkGraph returns GraphData, but in the future other APIs will
// explore the graph in other ways, and they'll return this same data structure.
//
// The design of this message is intended to allow clients to easily accumulate
// various GraphData from different sources in order to maintain an in-memory
// cache of data that exists in DM, where that data is discovered across
// multiple RPCs.
type GraphData struct {
	// Quests is the main entry point for all the graph data.
	// key is the `id` field of the QuestID
	Quests map[string]*Quest `protobuf:"bytes,1,rep,name=quests" json:"quests,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	// HadErrors is set to true if the data represented here is a partial view
	// of the requested data due to internal errors. The request may be repeated
	// or the client may chose to make smaller queries into the portions of the
	// graph that are missing.
	//
	// If HadErrors is set HadMore will also be set.
	HadErrors bool `protobuf:"varint,2,opt,name=had_errors,json=hadErrors" json:"had_errors,omitempty"`
	// HadMore is set to true if the request stopped short of the full query
	// result set due to things like:
	//   * max response size limit
	//   * max time limit (e.g. WalkGraphReq.MaxTime) being hit
	//   * non-terminal errors encountered during the request (HadErrors will also
	//     be true in this case).
	//
	// Note that this is different than the Partial booleans: This refers
	// specifically to situations when Queries do not run to completion.
	HadMore bool `protobuf:"varint,3,opt,name=had_more,json=hadMore" json:"had_more,omitempty"`
}

func (m *GraphData) Reset()                    { *m = GraphData{} }
func (m *GraphData) String() string            { return proto.CompactTextString(m) }
func (*GraphData) ProtoMessage()               {}
func (*GraphData) Descriptor() ([]byte, []int) { return fileDescriptor3, []int{6} }

func (m *GraphData) GetQuests() map[string]*Quest {
	if m != nil {
		return m.Quests
	}
	return nil
}

func (m *GraphData) GetHadErrors() bool {
	if m != nil {
		return m.HadErrors
	}
	return false
}

func (m *GraphData) GetHadMore() bool {
	if m != nil {
		return m.HadMore
	}
	return false
}

func init() {
	proto.RegisterType((*AbnormalFinish)(nil), "dm.AbnormalFinish")
	proto.RegisterType((*Quest)(nil), "dm.Quest")
	proto.RegisterType((*Quest_ID)(nil), "dm.Quest.ID")
	proto.RegisterType((*Quest_Desc)(nil), "dm.Quest.Desc")
	proto.RegisterType((*Quest_Desc_Meta)(nil), "dm.Quest.Desc.Meta")
	proto.RegisterType((*Quest_Desc_Meta_Retry)(nil), "dm.Quest.Desc.Meta.Retry")
	proto.RegisterType((*Quest_Desc_Meta_Timeouts)(nil), "dm.Quest.Desc.Meta.Timeouts")
	proto.RegisterType((*Quest_TemplateSpec)(nil), "dm.Quest.TemplateSpec")
	proto.RegisterType((*Quest_Data)(nil), "dm.Quest.Data")
	proto.RegisterType((*JsonResult)(nil), "dm.JsonResult")
	proto.RegisterType((*Result)(nil), "dm.Result")
	proto.RegisterType((*Attempt)(nil), "dm.Attempt")
	proto.RegisterType((*Attempt_ID)(nil), "dm.Attempt.ID")
	proto.RegisterType((*Attempt_Data)(nil), "dm.Attempt.Data")
	proto.RegisterType((*Attempt_Data_Scheduling)(nil), "dm.Attempt.Data.Scheduling")
	proto.RegisterType((*Attempt_Data_Executing)(nil), "dm.Attempt.Data.Executing")
	proto.RegisterType((*Attempt_Data_Waiting)(nil), "dm.Attempt.Data.Waiting")
	proto.RegisterType((*Attempt_Data_Finished)(nil), "dm.Attempt.Data.Finished")
	proto.RegisterType((*Attempt_Partial)(nil), "dm.Attempt.Partial")
	proto.RegisterType((*Execution)(nil), "dm.Execution")
	proto.RegisterType((*Execution_Auth)(nil), "dm.Execution.Auth")
	proto.RegisterType((*Execution_ID)(nil), "dm.Execution.ID")
	proto.RegisterType((*Execution_Data)(nil), "dm.Execution.Data")
	proto.RegisterType((*Execution_Data_DistributorInfo)(nil), "dm.Execution.Data.DistributorInfo")
	proto.RegisterType((*Execution_Data_Scheduling)(nil), "dm.Execution.Data.Scheduling")
	proto.RegisterType((*Execution_Data_Running)(nil), "dm.Execution.Data.Running")
	proto.RegisterType((*Execution_Data_Stopping)(nil), "dm.Execution.Data.Stopping")
	proto.RegisterType((*Execution_Data_Finished)(nil), "dm.Execution.Data.Finished")
	proto.RegisterType((*GraphData)(nil), "dm.GraphData")
	proto.RegisterEnum("dm.AbnormalFinish_Status", AbnormalFinish_Status_name, AbnormalFinish_Status_value)
	proto.RegisterEnum("dm.Attempt_State", Attempt_State_name, Attempt_State_value)
	proto.RegisterEnum("dm.Attempt_Partial_Result", Attempt_Partial_Result_name, Attempt_Partial_Result_value)
	proto.RegisterEnum("dm.Execution_State", Execution_State_name, Execution_State_value)
}

func init() {
	proto.RegisterFile("go.chromium.org/luci/dm/api/service/v1/graph_data.proto", fileDescriptor3)
}

var fileDescriptor3 = []byte{
	// 1762 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xc4, 0x57, 0x4b, 0x93, 0x1b, 0x57,
	0x15, 0x1e, 0x8d, 0x5e, 0xad, 0x33, 0x23, 0x8d, 0xb8, 0x71, 0x1c, 0xb9, 0x27, 0xb1, 0x8d, 0x20,
	0xe0, 0x32, 0x44, 0x2a, 0x4f, 0x88, 0x13, 0x9c, 0x0a, 0x94, 0x3c, 0xdd, 0x13, 0x75, 0x4a, 0xd2,
	0x0c, 0x57, 0x9a, 0xd8, 0x95, 0x4d, 0xd7, 0x9d, 0xee, 0xab, 0x51, 0x63, 0xf5, 0x83, 0xee, 0xdb,
	0x36, 0xc3, 0x8e, 0x2d, 0x5b, 0x16, 0x6c, 0xf8, 0x0b, 0xfc, 0x05, 0x7e, 0x09, 0xec, 0x29, 0x16,
	0xec, 0xa8, 0x62, 0x49, 0xdd, 0x47, 0x3f, 0x34, 0x0f, 0xd7, 0xb8, 0x58, 0xb0, 0xeb, 0x73, 0xcf,
	0x77, 0xee, 0xe3, 0xbb, 0xe7, 0x7c, 0xf7, 0x34, 0x7c, 0x7e, 0x1e, 0x0e, 0x9c, 0x55, 0x1c, 0xfa,
	0x5e, 0xea, 0x0f, 0xc2, 0xf8, 0x7c, 0xb8, 0x4e, 0x1d, 0x6f, 0xe8, 0xfa, 0x43, 0x12, 0x79, 0xc3,
	0x84, 0xc6, 0xaf, 0x3d, 0x87, 0x0e, 0x5f, 0x3f, 0x19, 0x9e, 0xc7, 0x24, 0x5a, 0xd9, 0x2e, 0x61,
	0x64, 0x10, 0xc5, 0x21, 0x0b, 0xd1, 0xb6, 0xeb, 0xeb, 0xf7, 0xcf, 0xc3, 0xf0, 0x7c, 0x4d, 0x87,
	0x62, 0xe4, 0x2c, 0x5d, 0x0e, 0xdd, 0x34, 0x26, 0xcc, 0x0b, 0x03, 0x89, 0xd1, 0x1f, 0x5c, 0xf6,
	0x33, 0xcf, 0xa7, 0x09, 0x23, 0x7e, 0xa4, 0x00, 0x07, 0xb7, 0x5c, 0x9d, 0x5d, 0x44, 0x34, 0x91,
	0x31, 0xfd, 0x7f, 0x54, 0xa0, 0x33, 0x3a, 0x0b, 0xc2, 0xd8, 0x27, 0xeb, 0x23, 0x2f, 0xf0, 0x92,
	0x15, 0x7a, 0x02, 0x8d, 0x84, 0x11, 0x96, 0x26, 0xbd, 0xca, 0xc3, 0xca, 0xa3, 0xce, 0xc1, 0xbd,
	0x81, 0xeb, 0x0f, 0x36, 0x31, 0x83, 0xb9, 0x00, 0x60, 0x05, 0x44, 0x77, 0xa1, 0x11, 0x53, 0x92,
	0x84, 0x41, 0x6f, 0xfb, 0x61, 0xe5, 0x51, 0x0b, 0x2b, 0xab, 0xff, 0x87, 0x0a, 0x34, 0x24, 0x14,
	0xed, 0x40, 0xd3, 0x9a, 0x7d, 0x3b, 0x9a, 0x58, 0x46, 0x77, 0x0b, 0x01, 0x34, 0x8e, 0x46, 0xd6,
	0xc4, 0x34, 0xba, 0x15, 0xee, 0x38, 0xc4, 0xa3, 0xf9, 0xd8, 0x34, 0xba, 0xdb, 0xdc, 0x30, 0x5f,
	0x9e, 0x58, 0xd8, 0x34, 0xba, 0x55, 0xd4, 0x86, 0xd6, 0xc2, 0x9a, 0x9a, 0x86, 0x7d, 0x7c, 0xba,
	0xe8, 0xd6, 0xb8, 0x79, 0x38, 0x9a, 0x1d, 0x9a, 0x13, 0x1e, 0x57, 0x47, 0xbb, 0xa0, 0x61, 0xf3,
	0x1b, 0xf3, 0x70, 0x61, 0x1a, 0xdd, 0x06, 0x0f, 0x9c, 0x5a, 0xf3, 0xb9, 0x35, 0xfb, 0xba, 0xdb,
	0x44, 0x77, 0xa0, 0x8b, 0xcd, 0xf9, 0xe9, 0x64, 0x61, 0x4f, 0x47, 0x93, 0xa3, 0x63, 0x3c, 0x35,
	0x8d, 0xae, 0xd6, 0xff, 0xa7, 0x06, 0xf5, 0x5f, 0xa5, 0x34, 0x61, 0xe8, 0x43, 0xd8, 0xf6, 0x5c,
	0x71, 0xba, 0x9d, 0x83, 0x5d, 0x7e, 0x3a, 0x31, 0x3c, 0xb0, 0x0c, 0xbc, 0xed, 0xb9, 0xa8, 0x0b,
	0x55, 0x63, 0x66, 0x8a, 0x93, 0x68, 0x98, 0x7f, 0xa2, 0x3e, 0xd4, 0xf8, 0x5d, 0xf5, 0xaa, 0x22,
	0xa2, 0x53, 0x44, 0x18, 0x84, 0x11, 0x2c, 0x7c, 0xe8, 0x53, 0xd0, 0x08, 0x63, 0xd4, 0x8f, 0x58,
	0xd2, 0xab, 0x3d, 0xac, 0x3e, 0xda, 0x39, 0xf8, 0xa0, 0xc0, 0x8d, 0x94, 0xc7, 0x0c, 0x58, 0x7c,
	0x81, 0x73, 0x20, 0xea, 0x41, 0x33, 0x22, 0x31, 0xf3, 0xc8, 0xba, 0xd7, 0x15, 0xcb, 0x65, 0xa6,
	0x7e, 0x07, 0xb6, 0x2d, 0x03, 0x75, 0xf2, 0x8d, 0xb6, 0xf8, 0xd6, 0xf4, 0xbf, 0xd7, 0xa0, 0x66,
	0xd0, 0xc4, 0x41, 0x4f, 0xe1, 0x03, 0xd7, 0x4b, 0x58, 0xec, 0x9d, 0xa5, 0x2c, 0x8c, 0x6d, 0x27,
	0x0c, 0x96, 0xde, 0xb9, 0x1d, 0x10, 0x9f, 0x2a, 0xf4, 0xfb, 0x25, 0xf7, 0xa1, 0xf0, 0xce, 0x88,
	0x4f, 0xd1, 0x7d, 0x80, 0x88, 0xc4, 0xc4, 0xa7, 0x8c, 0xc6, 0x89, 0xba, 0xac, 0xd2, 0x08, 0xfa,
	0x0c, 0xee, 0x96, 0xe7, 0x2d, 0x61, 0xab, 0x57, 0xa6, 0x3d, 0x29, 0xc2, 0x7e, 0x0c, 0x35, 0x9f,
	0x32, 0xd2, 0xab, 0x09, 0x82, 0xde, 0x2b, 0x11, 0x44, 0x13, 0x67, 0x30, 0xa5, 0x9c, 0x25, 0x0e,
	0xd0, 0xff, 0x5c, 0x85, 0x1a, 0x37, 0xd1, 0x47, 0x00, 0x24, 0xb1, 0x89, 0xe3, 0x84, 0x69, 0xc0,
	0xd4, 0x9e, 0x5b, 0x24, 0x19, 0xc9, 0x01, 0x34, 0x84, 0x7a, 0x4c, 0x59, 0x7c, 0x21, 0xb6, 0xb8,
	0x23, 0x53, 0xf0, 0xd2, 0x8c, 0x03, 0xcc, 0x01, 0x58, 0xe2, 0xd0, 0x17, 0xa0, 0xf1, 0x72, 0x08,
	0x53, 0x96, 0xa8, 0x6b, 0xfa, 0xf0, 0xba, 0x98, 0x85, 0xc2, 0xe0, 0x1c, 0xad, 0x47, 0x50, 0x17,
	0x33, 0xf1, 0x24, 0x5e, 0x12, 0x6f, 0x4d, 0x25, 0xe1, 0x6d, 0xac, 0x2c, 0x7e, 0x49, 0x4e, 0x4c,
	0x92, 0x15, 0x75, 0xc5, 0x6e, 0xda, 0x38, 0x33, 0xb9, 0x87, 0xfe, 0x36, 0xf2, 0x62, 0xea, 0x8a,
	0x35, 0xdb, 0x38, 0x33, 0xd1, 0x3e, 0xb4, 0xf8, 0x02, 0xae, 0x1d, 0xa6, 0x4c, 0xb0, 0xd2, 0x96,
	0x2b, 0xba, 0xc7, 0x29, 0xd3, 0xff, 0x54, 0x01, 0x2d, 0xdb, 0x08, 0x3f, 0x69, 0xc2, 0x48, 0xcc,
	0x54, 0x3a, 0xde, 0x1b, 0xc8, 0x2a, 0x1f, 0x64, 0x55, 0x3e, 0x30, 0x94, 0x0a, 0x60, 0x89, 0x43,
	0x3f, 0x81, 0x6a, 0x9c, 0x06, 0x39, 0x31, 0x37, 0xc2, 0x39, 0x0a, 0x7d, 0x02, 0xb5, 0x84, 0x85,
	0x91, 0xa2, 0xe4, 0x2d, 0x68, 0x01, 0xd3, 0x57, 0xb0, 0xbb, 0xa0, 0x7e, 0xb4, 0x26, 0x8c, 0xce,
	0x23, 0xea, 0x88, 0xfc, 0x8c, 0xc3, 0x5f, 0x53, 0x27, 0xbb, 0xa2, 0xcc, 0xe4, 0x45, 0x12, 0xd3,
	0xa5, 0xca, 0x20, 0xfe, 0xc9, 0xb1, 0xaf, 0x69, 0x9c, 0x78, 0x61, 0xa0, 0x72, 0x25, 0x33, 0x11,
	0x82, 0x9a, 0xc8, 0xcc, 0x9a, 0x18, 0x16, 0xdf, 0xfa, 0x1f, 0x2b, 0x50, 0xe3, 0xd5, 0x83, 0x7e,
	0xc6, 0xd9, 0xa5, 0x84, 0xd1, 0xac, 0x20, 0xf5, 0x2b, 0x9b, 0x5c, 0x64, 0x3a, 0x87, 0x33, 0xa8,
	0xa8, 0x48, 0x9a, 0x38, 0x8a, 0x85, 0xce, 0xe6, 0x55, 0x63, 0xe1, 0x43, 0x4f, 0x40, 0x3b, 0x4b,
	0xbd, 0x35, 0xb3, 0xcf, 0x2e, 0x7a, 0x55, 0x51, 0x91, 0x77, 0x0b, 0x5c, 0xf9, 0x98, 0xb8, 0x29,
	0x70, 0xcf, 0x2f, 0xf4, 0x31, 0xb4, 0x37, 0x4a, 0x95, 0x1f, 0xf3, 0x15, 0xbd, 0x50, 0x09, 0xc1,
	0x3f, 0xd1, 0xf7, 0xa1, 0xfe, 0x9a, 0xac, 0x53, 0xaa, 0x96, 0xde, 0x11, 0xe2, 0x28, 0x63, 0xb0,
	0xf4, 0x3c, 0xdb, 0xfe, 0xa2, 0xd2, 0x67, 0x00, 0xdf, 0x24, 0x61, 0x80, 0x69, 0x92, 0xae, 0x19,
	0x4f, 0xad, 0xf0, 0xac, 0x44, 0xa3, 0xb2, 0x38, 0x33, 0x89, 0xf7, 0x3b, 0xaa, 0xf2, 0x4a, 0x7c,
	0xa3, 0x67, 0x00, 0x22, 0x8b, 0xc4, 0xbd, 0xa8, 0x8b, 0x7b, 0x1b, 0x27, 0x25, 0x74, 0xdf, 0x83,
	0x86, 0x5a, 0x31, 0x93, 0xac, 0x4a, 0x41, 0x50, 0xb1, 0x1f, 0x25, 0x59, 0x5f, 0xc2, 0x1e, 0x51,
	0xb2, 0x6e, 0x2f, 0x85, 0xae, 0xab, 0x43, 0xa1, 0xab, 0x8a, 0x8f, 0x3b, 0x64, 0xc3, 0xee, 0xff,
	0x0b, 0xa0, 0xa9, 0xce, 0x8d, 0xee, 0x97, 0xf4, 0xb4, 0x53, 0x22, 0xe4, 0x66, 0x45, 0xfd, 0xe1,
	0x86, 0xa2, 0x76, 0xcb, 0x31, 0x25, 0x4d, 0xfd, 0x92, 0x53, 0x41, 0x9d, 0x94, 0x9f, 0x2d, 0x53,
	0xd5, 0xfd, 0x32, 0xd6, 0xcc, 0xbd, 0x52, 0x59, 0x4b, 0x70, 0xf4, 0x18, 0xb4, 0xe5, 0x1b, 0xd7,
	0x76, 0x69, 0x94, 0xf4, 0xea, 0x62, 0x99, 0xbd, 0x52, 0xe8, 0xc4, 0x4b, 0x18, 0x6e, 0x2e, 0xdf,
	0xb8, 0x06, 0x8d, 0x12, 0xf4, 0x53, 0x68, 0x9d, 0x11, 0xe7, 0x95, 0x04, 0x37, 0xae, 0x07, 0x6b,
	0x1c, 0x21, 0xd0, 0x9f, 0x6c, 0xaa, 0xb6, 0x12, 0xbc, 0x6c, 0x4f, 0x27, 0xd2, 0x55, 0x48, 0xf9,
	0x63, 0x21, 0xe5, 0x77, 0xa0, 0xfe, 0x1b, 0x9e, 0x79, 0x2a, 0x03, 0xa4, 0xa1, 0x04, 0x5e, 0x5e,
	0x3f, 0x17, 0xf8, 0x7f, 0xd7, 0xfe, 0xa7, 0xb2, 0x78, 0x0a, 0x9a, 0x1f, 0xba, 0xde, 0xd2, 0x53,
	0x5a, 0xf5, 0xf6, 0xb0, 0x1c, 0x8b, 0x3e, 0x86, 0x4e, 0x90, 0xfa, 0x76, 0x89, 0x6c, 0xa9, 0x67,
	0xed, 0x20, 0xf5, 0x0b, 0x8e, 0xd1, 0x57, 0x00, 0x89, 0xb3, 0xa2, 0x6e, 0xba, 0xf6, 0x82, 0x73,
	0x45, 0xea, 0xfe, 0xe5, 0xbb, 0x1b, 0xcc, 0x73, 0xc8, 0x78, 0x0b, 0x97, 0x02, 0xd0, 0x33, 0x68,
	0xa9, 0x15, 0x82, 0x73, 0xc5, 0xb2, 0x7e, 0x25, 0xda, 0xcc, 0x10, 0xe3, 0x2d, 0x5c, 0xc0, 0x39,
	0x1f, 0x6f, 0x88, 0x27, 0x22, 0x9b, 0x22, 0xb2, 0x77, 0x25, 0xf2, 0x85, 0xf4, 0x8f, 0xb7, 0x70,
	0x06, 0x45, 0x9f, 0x83, 0x26, 0x13, 0x9b, 0xba, 0x3d, 0xad, 0x78, 0x49, 0x36, 0xc2, 0x8e, 0x14,
	0x60, 0xbc, 0x85, 0x73, 0x30, 0xfa, 0xea, 0x6a, 0x69, 0xb4, 0x6e, 0x2a, 0x8d, 0xf1, 0xd6, 0xe5,
	0xe2, 0xd0, 0x77, 0x01, 0x0a, 0x16, 0xf4, 0xcf, 0xa0, 0x95, 0x9f, 0x0a, 0x3d, 0x82, 0xae, 0x93,
	0xc6, 0x05, 0xd5, 0xb6, 0x97, 0xbd, 0x37, 0x1d, 0x27, 0x8d, 0x73, 0xb2, 0x2d, 0x57, 0x7f, 0x0c,
	0x4d, 0x75, 0x24, 0xf4, 0x00, 0x76, 0xf8, 0xfd, 0x64, 0x0c, 0x48, 0x3c, 0x04, 0xa9, 0xaf, 0x00,
	0xfa, 0x00, 0xb4, 0xec, 0x1c, 0xb7, 0x29, 0xfd, 0xe7, 0x1d, 0xd8, 0x55, 0x4d, 0x88, 0xcd, 0xbb,
	0x41, 0x7d, 0x02, 0x7b, 0x97, 0x6a, 0xe9, 0x1a, 0xe9, 0xfb, 0xc1, 0xa6, 0xf4, 0xb5, 0xf9, 0xcc,
	0x79, 0x54, 0x49, 0xfc, 0xf4, 0xff, 0x54, 0xa0, 0xa9, 0xca, 0x80, 0x4b, 0x5c, 0xbe, 0x1b, 0x4d,
	0xd5, 0xf5, 0xfd, 0x8d, 0xba, 0x96, 0xb2, 0x50, 0x2e, 0xdd, 0x7b, 0xa5, 0xd2, 0xad, 0xca, 0xbe,
	0x28, 0xab, 0xd4, 0xfd, 0x72, 0xa5, 0xd6, 0x84, 0xaf, 0x28, 0xcc, 0x03, 0xde, 0x86, 0xf2, 0x53,
	0x8a, 0xdc, 0xec, 0x6c, 0x66, 0x97, 0xda, 0xd0, 0x40, 0xf1, 0xa0, 0x90, 0xfd, 0x69, 0x2e, 0x99,
	0x00, 0x8d, 0xc9, 0xf1, 0xc8, 0x30, 0x79, 0x83, 0xda, 0x01, 0x98, 0x1d, 0x2f, 0x6c, 0x65, 0x57,
	0x10, 0x82, 0x0e, 0xb7, 0x47, 0xa7, 0x8b, 0xf1, 0x31, 0xb6, 0xbe, 0x13, 0xbd, 0xea, 0x7b, 0xb0,
	0x67, 0x8c, 0x16, 0x23, 0x7b, 0x6e, 0x7d, 0x67, 0xda, 0x13, 0x6b, 0x6a, 0x2d, 0xba, 0xd5, 0xfe,
	0x4b, 0xa8, 0xf3, 0x86, 0x97, 0xf2, 0x19, 0xe6, 0x87, 0x63, 0xd3, 0x38, 0x9d, 0xf0, 0x9e, 0x74,
	0x8b, 0x77, 0xaf, 0xe6, 0x4b, 0xf3, 0xf0, 0x74, 0xc1, 0x4d, 0xd1, 0xf5, 0xbe, 0x18, 0x59, 0xc2,
	0xd8, 0xe6, 0xad, 0xec, 0x91, 0x35, 0xb3, 0x44, 0x0f, 0x5c, 0x45, 0xef, 0xc3, 0xf7, 0x46, 0xcf,
	0x67, 0xc7, 0x78, 0x3a, 0x9a, 0xd8, 0xf9, 0x70, 0xad, 0xff, 0x17, 0x2d, 0x4f, 0xa3, 0x30, 0x40,
	0x0f, 0x4b, 0x92, 0xdb, 0xdd, 0xb8, 0x88, 0x4c, 0x74, 0x7f, 0xa4, 0x88, 0x2f, 0x49, 0x7a, 0x81,
	0x29, 0x89, 0xec, 0xcd, 0x3d, 0xe8, 0x2f, 0xa0, 0x36, 0x4a, 0xd9, 0xea, 0x16, 0x6b, 0xdd, 0x81,
	0x3a, 0x0b, 0x5f, 0x51, 0xd9, 0x95, 0xec, 0x62, 0x69, 0xe8, 0xc6, 0x5b, 0x84, 0xaf, 0x07, 0x4d,
	0x95, 0x80, 0x59, 0x53, 0xa5, 0x4c, 0x25, 0x89, 0xd5, 0x5c, 0x12, 0xff, 0x56, 0xff, 0xbf, 0x48,
	0xe2, 0x14, 0xba, 0xe5, 0x4e, 0xd8, 0x0b, 0x96, 0xa1, 0x7a, 0xad, 0xfa, 0x57, 0xa9, 0x1c, 0x18,
	0x05, 0xd4, 0x0a, 0x96, 0x21, 0xde, 0x73, 0x37, 0x07, 0xd0, 0x2f, 0x37, 0xa4, 0x53, 0xf6, 0xc9,
	0x1f, 0x5d, 0x33, 0xd1, 0x8d, 0xe2, 0xf9, 0x14, 0x9a, 0x71, 0x1a, 0x04, 0x85, 0xf0, 0xea, 0xd7,
	0x44, 0x63, 0x89, 0xe0, 0x12, 0xa8, 0xc0, 0xe8, 0xe7, 0xa0, 0xf1, 0xd6, 0x2e, 0x2a, 0x34, 0x77,
	0xff, 0xba, 0x65, 0x15, 0x84, 0x8b, 0x60, 0x06, 0xe7, 0xa1, 0xb9, 0x7a, 0x36, 0x6f, 0x0c, 0xbd,
	0xad, 0x7e, 0x6a, 0xef, 0xa0, 0x9f, 0xbf, 0xaf, 0xc0, 0xde, 0x25, 0x4a, 0xb9, 0x06, 0x5e, 0xfd,
	0xcd, 0x01, 0xa7, 0xf8, 0xb7, 0xf9, 0x18, 0x3a, 0x0a, 0x90, 0xf5, 0xa1, 0xb2, 0x3b, 0x6d, 0xcb,
	0xd1, 0x6f, 0x55, 0x37, 0x9a, 0xe7, 0xaa, 0xec, 0x52, 0xa5, 0xc1, 0xd5, 0x2e, 0x8d, 0xd7, 0xaa,
	0x45, 0xe5, 0x9f, 0x97, 0x34, 0xbc, 0x05, 0x4d, 0x45, 0xae, 0x0e, 0xa0, 0x65, 0x74, 0xbd, 0xb3,
	0xee, 0x76, 0xa1, 0x53, 0x28, 0x3f, 0x57, 0xde, 0xfe, 0x8b, 0x9b, 0x04, 0x63, 0x07, 0x9a, 0xf8,
	0x74, 0x36, 0x93, 0x72, 0xb1, 0x0b, 0xda, 0x7c, 0x71, 0x7c, 0x72, 0xf2, 0x0e, 0x7a, 0xf1, 0xd7,
	0x0a, 0xb4, 0xbe, 0x8e, 0x49, 0xb4, 0x12, 0xc5, 0xf3, 0x04, 0x1a, 0xa2, 0xf0, 0xf8, 0x4f, 0x7d,
	0x35, 0x7b, 0x07, 0x73, 0xb7, 0x6c, 0x8a, 0x55, 0x13, 0xa5, 0x80, 0xfc, 0x17, 0x6d, 0x45, 0x5c,
	0x9b, 0xc6, 0x71, 0x18, 0x67, 0x2a, 0xdd, 0x5a, 0x11, 0xd7, 0x14, 0x03, 0x5c, 0xa4, 0xb9, 0xdb,
	0x0f, 0x63, 0x9a, 0x89, 0xf4, 0x8a, 0xb8, 0xd3, 0x30, 0xa6, 0xba, 0x01, 0x3b, 0xa5, 0x09, 0xcb,
	0x2f, 0x49, 0x4b, 0xbe, 0x24, 0x0f, 0x36, 0x5f, 0x92, 0x56, 0xde, 0x97, 0x97, 0x5e, 0x91, 0xb3,
	0x86, 0xa8, 0xcf, 0x4f, 0xff, 0x1b, 0x00, 0x00, 0xff, 0xff, 0x26, 0xd3, 0x44, 0x27, 0x55, 0x11,
	0x00, 0x00,
}
