// Code generated by protoc-gen-go. DO NOT EDIT.
// source: go.chromium.org/luci/logdog/api/config/svcconfig/project.proto

package svcconfig

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import google_protobuf "github.com/golang/protobuf/ptypes/duration"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// ProjectConfig is a set of per-project configuration parameters. Each
// luci-config project must include one of these configs in order to register
// or view log streams in that project's log stream space.
//
// A project's configuration should reside in the "projects/<project>" config
// set and be named "<app-id>.cfg".
//
// Many of the parameters here can be bounded by GlobalConfig parameters.
type ProjectConfig struct {
	// The set of auth service groups that are permitted READ access to this
	// project's log streams.
	ReaderAuthGroups []string `protobuf:"bytes,2,rep,name=reader_auth_groups,json=readerAuthGroups" json:"reader_auth_groups,omitempty"`
	// The set of chrome-infra-auth groups that are permitted WRITE access to this
	// project's log streams.
	WriterAuthGroups []string `protobuf:"bytes,3,rep,name=writer_auth_groups,json=writerAuthGroups" json:"writer_auth_groups,omitempty"`
	// The maximum lifetime of a log stream.
	//
	// If a stream has not terminated after this period of time, it will be
	// forcefully archived, and additional stream data will be discarded.
	//
	// This is upper-bounded by the global "archive_delay_max" parameter.
	MaxStreamAge *google_protobuf.Duration `protobuf:"bytes,4,opt,name=max_stream_age,json=maxStreamAge" json:"max_stream_age,omitempty"`
	// The maximum amount of time after a prefix has been registered when log
	// streams may also be registered under that prefix.
	//
	// See Config's "prefix_expiration" for more information.
	PrefixExpiration *google_protobuf.Duration `protobuf:"bytes,5,opt,name=prefix_expiration,json=prefixExpiration" json:"prefix_expiration,omitempty"`
	// The archival Google Storage bucket name.
	//
	// Log streams artifacts will be stored in a subdirectory of this bucket:
	// gs://<archive_gs_bucket>/<app-id>/<project-name>/<log-path>/artifact...
	//
	// Note that the Archivist microservice must have WRITE access to this
	// bucket, and the Coordinator must have READ access.
	//
	// If this is not set, the logs will be archived in a project-named
	// subdirectory in the global "archive_gs_base" location.
	ArchiveGsBucket string `protobuf:"bytes,10,opt,name=archive_gs_bucket,json=archiveGsBucket" json:"archive_gs_bucket,omitempty"`
	// If true, always create an additional data file that is the rendered content
	// of the stream data. By default, only streams that explicitly register a
	// binary file extension must be rendered.
	//
	// See Config's "always_create_binary" for more information.
	RenderAllStreams bool `protobuf:"varint,11,opt,name=render_all_streams,json=renderAllStreams" json:"render_all_streams,omitempty"`
	// Project-specific archive index configuration.
	//
	// Any unspecified index configuration will default to the service archival
	// config.
	ArchiveIndexConfig *ArchiveIndexConfig `protobuf:"bytes,12,opt,name=archive_index_config,json=archiveIndexConfig" json:"archive_index_config,omitempty"`
}

func (m *ProjectConfig) Reset()                    { *m = ProjectConfig{} }
func (m *ProjectConfig) String() string            { return proto.CompactTextString(m) }
func (*ProjectConfig) ProtoMessage()               {}
func (*ProjectConfig) Descriptor() ([]byte, []int) { return fileDescriptor2, []int{0} }

func (m *ProjectConfig) GetReaderAuthGroups() []string {
	if m != nil {
		return m.ReaderAuthGroups
	}
	return nil
}

func (m *ProjectConfig) GetWriterAuthGroups() []string {
	if m != nil {
		return m.WriterAuthGroups
	}
	return nil
}

func (m *ProjectConfig) GetMaxStreamAge() *google_protobuf.Duration {
	if m != nil {
		return m.MaxStreamAge
	}
	return nil
}

func (m *ProjectConfig) GetPrefixExpiration() *google_protobuf.Duration {
	if m != nil {
		return m.PrefixExpiration
	}
	return nil
}

func (m *ProjectConfig) GetArchiveGsBucket() string {
	if m != nil {
		return m.ArchiveGsBucket
	}
	return ""
}

func (m *ProjectConfig) GetRenderAllStreams() bool {
	if m != nil {
		return m.RenderAllStreams
	}
	return false
}

func (m *ProjectConfig) GetArchiveIndexConfig() *ArchiveIndexConfig {
	if m != nil {
		return m.ArchiveIndexConfig
	}
	return nil
}

func init() {
	proto.RegisterType((*ProjectConfig)(nil), "svcconfig.ProjectConfig")
}

func init() {
	proto.RegisterFile("go.chromium.org/luci/logdog/api/config/svcconfig/project.proto", fileDescriptor2)
}

var fileDescriptor2 = []byte{
	// 344 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x91, 0xcd, 0x4e, 0xe3, 0x30,
	0x14, 0x85, 0xd5, 0xe9, 0xcc, 0x68, 0xea, 0x76, 0xa0, 0x8d, 0x58, 0x84, 0x4a, 0xa0, 0x88, 0x55,
	0x84, 0x90, 0x23, 0xc1, 0x9e, 0x2a, 0xfc, 0x55, 0xac, 0x40, 0xe1, 0x01, 0x2c, 0x37, 0x71, 0x1d,
	0x83, 0x13, 0x47, 0xfe, 0x29, 0x79, 0x1b, 0x5e, 0x15, 0xc5, 0x37, 0xad, 0x10, 0x2c, 0x10, 0xbb,
	0xe4, 0x9e, 0xef, 0x9e, 0x9c, 0x9c, 0x8b, 0x2e, 0xb9, 0xc2, 0x79, 0xa9, 0x55, 0x25, 0x5c, 0x85,
	0x95, 0xe6, 0x89, 0x74, 0xb9, 0x48, 0xa4, 0xe2, 0x85, 0xe2, 0x09, 0x6d, 0x44, 0x92, 0xab, 0x7a,
	0x2d, 0x78, 0x62, 0x36, 0x79, 0xff, 0xd4, 0x68, 0xf5, 0xcc, 0x72, 0x8b, 0x1b, 0xad, 0xac, 0x0a,
	0x46, 0x3b, 0x61, 0xbe, 0xf8, 0xb1, 0x15, 0xd5, 0x79, 0x29, 0x36, 0x54, 0x82, 0xd7, 0xfc, 0x98,
	0x2b, 0xc5, 0x25, 0x4b, 0xfc, 0xdb, 0xca, 0xad, 0x93, 0xc2, 0x69, 0x6a, 0x85, 0xaa, 0x41, 0x3f,
	0x79, 0x1b, 0xa2, 0xff, 0x8f, 0xf0, 0xf5, 0x6b, 0x6f, 0x10, 0x9c, 0xa1, 0x40, 0x33, 0x5a, 0x30,
	0x4d, 0xa8, 0xb3, 0x25, 0xe1, 0x5a, 0xb9, 0xc6, 0x84, 0xbf, 0xa2, 0x61, 0x3c, 0xca, 0xa6, 0xa0,
	0xa4, 0xce, 0x96, 0x4b, 0x3f, 0xef, 0xe8, 0x57, 0x2d, 0xec, 0x27, 0x7a, 0x08, 0x34, 0x28, 0x1f,
	0xe8, 0x05, 0xda, 0xab, 0x68, 0x4b, 0x8c, 0xd5, 0x8c, 0x56, 0x84, 0x72, 0x16, 0xfe, 0x8e, 0x06,
	0xf1, 0xf8, 0xfc, 0x10, 0x43, 0x4c, 0xbc, 0x8d, 0x89, 0x6f, 0xfa, 0x98, 0xd9, 0xa4, 0xa2, 0xed,
	0x93, 0xe7, 0x53, 0xce, 0x82, 0x3b, 0x34, 0x6b, 0x34, 0x5b, 0x8b, 0x96, 0xb0, 0xb6, 0x11, 0x80,
	0x84, 0x7f, 0xbe, 0xf3, 0x98, 0xc2, 0xce, 0xed, 0x6e, 0x25, 0x38, 0x45, 0x33, 0x28, 0x8a, 0x11,
	0x6e, 0xc8, 0xca, 0xe5, 0x2f, 0xcc, 0x86, 0x28, 0x1a, 0xc4, 0xa3, 0x6c, 0xbf, 0x17, 0x96, 0xe6,
	0xca, 0x8f, 0xa1, 0x90, 0xda, 0x17, 0x22, 0x65, 0x9f, 0xdd, 0x84, 0xe3, 0x68, 0x10, 0xff, 0xeb,
	0x0a, 0xe9, 0x94, 0x54, 0x4a, 0xc8, 0x68, 0x82, 0x07, 0x74, 0xb0, 0x75, 0x16, 0x75, 0xc1, 0x5a,
	0x02, 0x77, 0x09, 0x27, 0x3e, 0xe4, 0x11, 0xde, 0x5d, 0x0a, 0xa7, 0x80, 0xdd, 0x77, 0x14, 0x74,
	0x9f, 0x05, 0xf4, 0xcb, 0x6c, 0xf5, 0xd7, 0xff, 0xcf, 0xc5, 0x7b, 0x00, 0x00, 0x00, 0xff, 0xff,
	0xd3, 0xfe, 0x83, 0xde, 0x56, 0x02, 0x00, 0x00,
}
