// Code generated by protoc-gen-go. DO NOT EDIT.
// source: go.chromium.org/luci/logdog/api/endpoints/coordinator/logs/v1/state.proto

package logdog

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import google_protobuf "github.com/golang/protobuf/ptypes/timestamp"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// LogStreamState is a bidirectional state value used in UpdateStream calls.
//
// LogStreamState is embeddable in Endpoints request/response structs.
type LogStreamState struct {
	// ProtoVersion is the protobuf version for this stream.
	ProtoVersion string `protobuf:"bytes,1,opt,name=proto_version,json=protoVersion" json:"proto_version,omitempty"`
	// The time when the log stream was registered with the Coordinator.
	Created *google_protobuf.Timestamp `protobuf:"bytes,2,opt,name=created" json:"created,omitempty"`
	// The stream index of the log stream's terminal message. If the value is -1,
	// the log is still streaming.
	TerminalIndex int64 `protobuf:"varint,3,opt,name=terminal_index,json=terminalIndex" json:"terminal_index,omitempty"`
	// If non-nil, the log stream is archived, and this field contains archival
	// details.
	Archive *LogStreamState_ArchiveInfo `protobuf:"bytes,4,opt,name=archive" json:"archive,omitempty"`
	// Indicates the purged state of a log. A log that has been purged is only
	// acknowledged to administrative clients.
	Purged bool `protobuf:"varint,5,opt,name=purged" json:"purged,omitempty"`
}

func (m *LogStreamState) Reset()                    { *m = LogStreamState{} }
func (m *LogStreamState) String() string            { return proto.CompactTextString(m) }
func (*LogStreamState) ProtoMessage()               {}
func (*LogStreamState) Descriptor() ([]byte, []int) { return fileDescriptor1, []int{0} }

func (m *LogStreamState) GetProtoVersion() string {
	if m != nil {
		return m.ProtoVersion
	}
	return ""
}

func (m *LogStreamState) GetCreated() *google_protobuf.Timestamp {
	if m != nil {
		return m.Created
	}
	return nil
}

func (m *LogStreamState) GetTerminalIndex() int64 {
	if m != nil {
		return m.TerminalIndex
	}
	return 0
}

func (m *LogStreamState) GetArchive() *LogStreamState_ArchiveInfo {
	if m != nil {
		return m.Archive
	}
	return nil
}

func (m *LogStreamState) GetPurged() bool {
	if m != nil {
		return m.Purged
	}
	return false
}

// ArchiveInfo contains archive details for the log stream.
type LogStreamState_ArchiveInfo struct {
	// The Google Storage URL where the log stream's index is archived.
	IndexUrl string `protobuf:"bytes,1,opt,name=index_url,json=indexUrl" json:"index_url,omitempty"`
	// The Google Storage URL where the log stream's raw stream data is archived.
	StreamUrl string `protobuf:"bytes,2,opt,name=stream_url,json=streamUrl" json:"stream_url,omitempty"`
	// The Google Storage URL where the log stream's assembled data is archived.
	DataUrl string `protobuf:"bytes,3,opt,name=data_url,json=dataUrl" json:"data_url,omitempty"`
	// If true, all log entries between 0 and terminal_index were archived. If
	// false, this indicates that the log stream was not completely loaded into
	// intermediate storage when the archival interval expired.
	Complete bool `protobuf:"varint,4,opt,name=complete" json:"complete,omitempty"`
	// The number of log
	LogEntryCount int64 `protobuf:"varint,5,opt,name=log_entry_count,json=logEntryCount" json:"log_entry_count,omitempty"`
}

func (m *LogStreamState_ArchiveInfo) Reset()                    { *m = LogStreamState_ArchiveInfo{} }
func (m *LogStreamState_ArchiveInfo) String() string            { return proto.CompactTextString(m) }
func (*LogStreamState_ArchiveInfo) ProtoMessage()               {}
func (*LogStreamState_ArchiveInfo) Descriptor() ([]byte, []int) { return fileDescriptor1, []int{0, 0} }

func (m *LogStreamState_ArchiveInfo) GetIndexUrl() string {
	if m != nil {
		return m.IndexUrl
	}
	return ""
}

func (m *LogStreamState_ArchiveInfo) GetStreamUrl() string {
	if m != nil {
		return m.StreamUrl
	}
	return ""
}

func (m *LogStreamState_ArchiveInfo) GetDataUrl() string {
	if m != nil {
		return m.DataUrl
	}
	return ""
}

func (m *LogStreamState_ArchiveInfo) GetComplete() bool {
	if m != nil {
		return m.Complete
	}
	return false
}

func (m *LogStreamState_ArchiveInfo) GetLogEntryCount() int64 {
	if m != nil {
		return m.LogEntryCount
	}
	return 0
}

func init() {
	proto.RegisterType((*LogStreamState)(nil), "logdog.LogStreamState")
	proto.RegisterType((*LogStreamState_ArchiveInfo)(nil), "logdog.LogStreamState.ArchiveInfo")
}

func init() {
	proto.RegisterFile("go.chromium.org/luci/logdog/api/endpoints/coordinator/logs/v1/state.proto", fileDescriptor1)
}

var fileDescriptor1 = []byte{
	// 361 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x54, 0x90, 0xcd, 0x6a, 0xe3, 0x30,
	0x14, 0x85, 0x71, 0x3c, 0x93, 0x38, 0xca, 0x24, 0x03, 0x5a, 0x0c, 0x1e, 0x0f, 0xc3, 0x98, 0x0c,
	0x33, 0x78, 0x25, 0xd1, 0x9f, 0x65, 0x37, 0xa5, 0x74, 0x11, 0xe8, 0xca, 0x69, 0xbb, 0x35, 0x8a,
	0xad, 0x28, 0x02, 0x59, 0xd7, 0xc8, 0x72, 0x68, 0x9f, 0xa3, 0x2f, 0xd1, 0xc7, 0x2c, 0x92, 0xe2,
	0xd2, 0x2e, 0xef, 0x77, 0xce, 0xd5, 0x39, 0x57, 0x68, 0x23, 0x80, 0xd4, 0x07, 0x03, 0xad, 0x1c,
	0x5a, 0x02, 0x46, 0x50, 0x35, 0xd4, 0x92, 0x2a, 0x10, 0x0d, 0x08, 0xca, 0x3a, 0x49, 0xb9, 0x6e,
	0x3a, 0x90, 0xda, 0xf6, 0xb4, 0x06, 0x30, 0x8d, 0xd4, 0xcc, 0x82, 0x71, 0x86, 0x9e, 0x1e, 0xcf,
	0x68, 0x6f, 0x99, 0xe5, 0xa4, 0x33, 0x60, 0x01, 0x4f, 0xc3, 0x56, 0xf6, 0x47, 0x00, 0x08, 0xc5,
	0xa9, 0xa7, 0xbb, 0x61, 0x4f, 0xad, 0x6c, 0x79, 0x6f, 0x59, 0xdb, 0x05, 0xe3, 0xfa, 0x25, 0x46,
	0xab, 0x3b, 0x10, 0x5b, 0x6b, 0x38, 0x6b, 0xb7, 0xee, 0x05, 0xfc, 0x17, 0x2d, 0xbd, 0x56, 0x1d,
	0xb9, 0xe9, 0x25, 0xe8, 0x34, 0xca, 0xa3, 0x62, 0x5e, 0x7e, 0xf3, 0xf0, 0x31, 0x30, 0x7c, 0x89,
	0x66, 0xb5, 0xe1, 0xcc, 0xf2, 0x26, 0x9d, 0xe4, 0x51, 0xb1, 0x38, 0xcf, 0x48, 0x88, 0x22, 0x63,
	0x14, 0xb9, 0x1f, 0xa3, 0xca, 0xd1, 0x8a, 0xff, 0xa1, 0x95, 0xe5, 0xa6, 0x95, 0x9a, 0xa9, 0x4a,
	0xea, 0x86, 0x3f, 0xa5, 0x71, 0x1e, 0x15, 0x71, 0xb9, 0x1c, 0xe9, 0xc6, 0x41, 0x7c, 0x85, 0x66,
	0xcc, 0xd4, 0x07, 0x79, 0xe4, 0xe9, 0x17, 0xff, 0xf8, 0x9a, 0x84, 0x7b, 0xc8, 0xe7, 0xaa, 0xe4,
	0x3a, 0xb8, 0x36, 0x7a, 0x0f, 0xe5, 0xb8, 0x82, 0x7f, 0xa0, 0x69, 0x37, 0x18, 0xc1, 0x9b, 0xf4,
	0x6b, 0x1e, 0x15, 0x49, 0x79, 0x9a, 0xb2, 0xd7, 0x08, 0x2d, 0x3e, 0x2c, 0xe0, 0x5f, 0x68, 0xee,
	0x3b, 0x54, 0x83, 0x51, 0xa7, 0x1b, 0x13, 0x0f, 0x1e, 0x8c, 0xc2, 0xbf, 0x11, 0xea, 0x7d, 0x90,
	0x57, 0x27, 0x5e, 0x9d, 0x07, 0xe2, 0xe4, 0x9f, 0x28, 0x69, 0x98, 0x65, 0x5e, 0x8c, 0xbd, 0x38,
	0x73, 0xb3, 0x93, 0x32, 0x94, 0xd4, 0xd0, 0x76, 0x8a, 0xdb, 0xd0, 0x3e, 0x29, 0xdf, 0x67, 0xfc,
	0x1f, 0x7d, 0x57, 0x20, 0x2a, 0xae, 0xad, 0x79, 0xae, 0x6a, 0x18, 0xb4, 0xf5, 0x1d, 0xe3, 0x72,
	0xa9, 0x40, 0xdc, 0x3a, 0x7a, 0xe3, 0xe0, 0x6e, 0xea, 0x3f, 0xf1, 0xe2, 0x2d, 0x00, 0x00, 0xff,
	0xff, 0x06, 0xd9, 0xf9, 0xb9, 0x12, 0x02, 0x00, 0x00,
}
