// Copyright 2016 The LUCI Authors.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package endpoints

// ProjectBoundMessage describes an object that is bound to a Project
// namespace.
//
// This is intended to be implemented by project-bound protobufs.
type ProjectBoundMessage interface {
	// GetMessageProject returns the Project to which this message is bound.
	GetMessageProject() string
}
