// Code generated by protoc-gen-go. DO NOT EDIT.
// source: go.chromium.org/luci/machine-db/api/crimson/v1/machines.proto

package crimson

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import google_protobuf1 "google.golang.org/genproto/protobuf/field_mask"
import common "go.chromium.org/luci/machine-db/api/common/v1"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// A machine in the database.
type Machine struct {
	// The name of this machine. Uniquely identifies this machine.
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	// The type of platform this machine is.
	Platform string `protobuf:"bytes,2,opt,name=platform" json:"platform,omitempty"`
	// The rack this machine belongs to.
	Rack string `protobuf:"bytes,3,opt,name=rack" json:"rack,omitempty"`
	// A description of this machine.
	Description string `protobuf:"bytes,4,opt,name=description" json:"description,omitempty"`
	// The asset tag associated with this machine.
	AssetTag string `protobuf:"bytes,5,opt,name=asset_tag,json=assetTag" json:"asset_tag,omitempty"`
	// The service tag associated with this machine.
	ServiceTag string `protobuf:"bytes,6,opt,name=service_tag,json=serviceTag" json:"service_tag,omitempty"`
	// The deployment ticket associated with this machine.
	DeploymentTicket string `protobuf:"bytes,7,opt,name=deployment_ticket,json=deploymentTicket" json:"deployment_ticket,omitempty"`
	// The state of this machine.
	State common.State `protobuf:"varint,8,opt,name=state,enum=common.State" json:"state,omitempty"`
	// The datacenter this machine belongs to.
	// When creating a machine, omit this field. It will be inferred from the rack.
	Datacenter string `protobuf:"bytes,9,opt,name=datacenter" json:"datacenter,omitempty"`
}

func (m *Machine) Reset()                    { *m = Machine{} }
func (m *Machine) String() string            { return proto.CompactTextString(m) }
func (*Machine) ProtoMessage()               {}
func (*Machine) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{0} }

func (m *Machine) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Machine) GetPlatform() string {
	if m != nil {
		return m.Platform
	}
	return ""
}

func (m *Machine) GetRack() string {
	if m != nil {
		return m.Rack
	}
	return ""
}

func (m *Machine) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *Machine) GetAssetTag() string {
	if m != nil {
		return m.AssetTag
	}
	return ""
}

func (m *Machine) GetServiceTag() string {
	if m != nil {
		return m.ServiceTag
	}
	return ""
}

func (m *Machine) GetDeploymentTicket() string {
	if m != nil {
		return m.DeploymentTicket
	}
	return ""
}

func (m *Machine) GetState() common.State {
	if m != nil {
		return m.State
	}
	return common.State_STATE_UNSPECIFIED
}

func (m *Machine) GetDatacenter() string {
	if m != nil {
		return m.Datacenter
	}
	return ""
}

// A request to create a new machine in the database.
type CreateMachineRequest struct {
	// The machine to create in the database.
	Machine *Machine `protobuf:"bytes,1,opt,name=machine" json:"machine,omitempty"`
}

func (m *CreateMachineRequest) Reset()                    { *m = CreateMachineRequest{} }
func (m *CreateMachineRequest) String() string            { return proto.CompactTextString(m) }
func (*CreateMachineRequest) ProtoMessage()               {}
func (*CreateMachineRequest) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{1} }

func (m *CreateMachineRequest) GetMachine() *Machine {
	if m != nil {
		return m.Machine
	}
	return nil
}

// A request to delete a machine from the database.
type DeleteMachineRequest struct {
	// The name of the machine to delete.
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
}

func (m *DeleteMachineRequest) Reset()                    { *m = DeleteMachineRequest{} }
func (m *DeleteMachineRequest) String() string            { return proto.CompactTextString(m) }
func (*DeleteMachineRequest) ProtoMessage()               {}
func (*DeleteMachineRequest) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{2} }

func (m *DeleteMachineRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

// A request to list machines in the database.
type ListMachinesRequest struct {
	// The names of machines to get.
	Names []string `protobuf:"bytes,1,rep,name=names" json:"names,omitempty"`
	// The platforms to filter retrieved machines on.
	Platforms []string `protobuf:"bytes,2,rep,name=platforms" json:"platforms,omitempty"`
	// The racks to filter retrieved machines on.
	Racks []string `protobuf:"bytes,3,rep,name=racks" json:"racks,omitempty"`
	// The states to filter retrieved machines on.
	States []common.State `protobuf:"varint,4,rep,packed,name=states,enum=common.State" json:"states,omitempty"`
	// The datacenters to filter retrieved machines on.
	Datacenters []string `protobuf:"bytes,5,rep,name=datacenters" json:"datacenters,omitempty"`
}

func (m *ListMachinesRequest) Reset()                    { *m = ListMachinesRequest{} }
func (m *ListMachinesRequest) String() string            { return proto.CompactTextString(m) }
func (*ListMachinesRequest) ProtoMessage()               {}
func (*ListMachinesRequest) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{3} }

func (m *ListMachinesRequest) GetNames() []string {
	if m != nil {
		return m.Names
	}
	return nil
}

func (m *ListMachinesRequest) GetPlatforms() []string {
	if m != nil {
		return m.Platforms
	}
	return nil
}

func (m *ListMachinesRequest) GetRacks() []string {
	if m != nil {
		return m.Racks
	}
	return nil
}

func (m *ListMachinesRequest) GetStates() []common.State {
	if m != nil {
		return m.States
	}
	return nil
}

func (m *ListMachinesRequest) GetDatacenters() []string {
	if m != nil {
		return m.Datacenters
	}
	return nil
}

// A response containing a list of machines in the database.
type ListMachinesResponse struct {
	// The machines matching this request.
	Machines []*Machine `protobuf:"bytes,1,rep,name=machines" json:"machines,omitempty"`
}

func (m *ListMachinesResponse) Reset()                    { *m = ListMachinesResponse{} }
func (m *ListMachinesResponse) String() string            { return proto.CompactTextString(m) }
func (*ListMachinesResponse) ProtoMessage()               {}
func (*ListMachinesResponse) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{4} }

func (m *ListMachinesResponse) GetMachines() []*Machine {
	if m != nil {
		return m.Machines
	}
	return nil
}

// A request to rename a machine in the database.
type RenameMachineRequest struct {
	// The name of the machine to rename.
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	// The new name to give this machine.
	NewName string `protobuf:"bytes,2,opt,name=new_name,json=newName" json:"new_name,omitempty"`
}

func (m *RenameMachineRequest) Reset()                    { *m = RenameMachineRequest{} }
func (m *RenameMachineRequest) String() string            { return proto.CompactTextString(m) }
func (*RenameMachineRequest) ProtoMessage()               {}
func (*RenameMachineRequest) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{5} }

func (m *RenameMachineRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *RenameMachineRequest) GetNewName() string {
	if m != nil {
		return m.NewName
	}
	return ""
}

// A request to update a machine in the database.
type UpdateMachineRequest struct {
	// The machine to update in the database.
	Machine *Machine `protobuf:"bytes,1,opt,name=machine" json:"machine,omitempty"`
	// The fields to update in the machine.
	UpdateMask *google_protobuf1.FieldMask `protobuf:"bytes,2,opt,name=update_mask,json=updateMask" json:"update_mask,omitempty"`
}

func (m *UpdateMachineRequest) Reset()                    { *m = UpdateMachineRequest{} }
func (m *UpdateMachineRequest) String() string            { return proto.CompactTextString(m) }
func (*UpdateMachineRequest) ProtoMessage()               {}
func (*UpdateMachineRequest) Descriptor() ([]byte, []int) { return fileDescriptor6, []int{6} }

func (m *UpdateMachineRequest) GetMachine() *Machine {
	if m != nil {
		return m.Machine
	}
	return nil
}

func (m *UpdateMachineRequest) GetUpdateMask() *google_protobuf1.FieldMask {
	if m != nil {
		return m.UpdateMask
	}
	return nil
}

func init() {
	proto.RegisterType((*Machine)(nil), "crimson.Machine")
	proto.RegisterType((*CreateMachineRequest)(nil), "crimson.CreateMachineRequest")
	proto.RegisterType((*DeleteMachineRequest)(nil), "crimson.DeleteMachineRequest")
	proto.RegisterType((*ListMachinesRequest)(nil), "crimson.ListMachinesRequest")
	proto.RegisterType((*ListMachinesResponse)(nil), "crimson.ListMachinesResponse")
	proto.RegisterType((*RenameMachineRequest)(nil), "crimson.RenameMachineRequest")
	proto.RegisterType((*UpdateMachineRequest)(nil), "crimson.UpdateMachineRequest")
}

func init() {
	proto.RegisterFile("go.chromium.org/luci/machine-db/api/crimson/v1/machines.proto", fileDescriptor6)
}

var fileDescriptor6 = []byte{
	// 502 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xa4, 0x53, 0x4d, 0x8f, 0xd3, 0x30,
	0x10, 0x55, 0xbf, 0xdb, 0xa9, 0x40, 0x8b, 0xc9, 0xc1, 0x14, 0x04, 0x51, 0x10, 0x52, 0xb5, 0x40,
	0x22, 0xca, 0x0d, 0xc4, 0x05, 0x16, 0x4e, 0x2c, 0x87, 0xb0, 0x9c, 0x2b, 0x37, 0x99, 0x66, 0xad,
	0x26, 0x71, 0x88, 0x9d, 0x5d, 0x71, 0xe2, 0xa7, 0x70, 0xe5, 0x67, 0x22, 0x8f, 0x93, 0x76, 0xd1,
	0xae, 0x04, 0xd2, 0xde, 0xec, 0xf7, 0x9e, 0xe7, 0xd9, 0x6f, 0x3c, 0xf0, 0x2e, 0x53, 0x61, 0x72,
	0x5e, 0xab, 0x42, 0x36, 0x45, 0xa8, 0xea, 0x2c, 0xca, 0x9b, 0x44, 0x46, 0x85, 0x48, 0xce, 0x65,
	0x89, 0x2f, 0xd3, 0x4d, 0x24, 0x2a, 0x19, 0x25, 0xb5, 0x2c, 0xb4, 0x2a, 0xa3, 0x8b, 0x57, 0x1d,
	0xa3, 0xc3, 0xaa, 0x56, 0x46, 0xb1, 0x49, 0x4b, 0x2d, 0xfc, 0x4c, 0xa9, 0x2c, 0xc7, 0x88, 0xe0,
	0x4d, 0xb3, 0x8d, 0xb6, 0x12, 0xf3, 0x74, 0x5d, 0x08, 0xbd, 0x73, 0xd2, 0xc5, 0x9b, 0xff, 0x72,
	0x52, 0x45, 0xe1, 0x8c, 0xb4, 0x11, 0xa6, 0xb3, 0x09, 0x7e, 0xf5, 0x61, 0x72, 0xea, 0x94, 0x8c,
	0xc1, 0xb0, 0x14, 0x05, 0xf2, 0x9e, 0xdf, 0x5b, 0xce, 0x62, 0x5a, 0xb3, 0x05, 0x4c, 0xab, 0x5c,
	0x98, 0xad, 0xaa, 0x0b, 0xde, 0x27, 0x7c, 0xbf, 0xb7, 0xfa, 0x5a, 0x24, 0x3b, 0x3e, 0x70, 0x7a,
	0xbb, 0x66, 0x3e, 0xcc, 0x53, 0xd4, 0x49, 0x2d, 0x2b, 0x23, 0x55, 0xc9, 0x87, 0x44, 0x5d, 0x85,
	0xd8, 0x43, 0x98, 0x09, 0xad, 0xd1, 0xac, 0x8d, 0xc8, 0xf8, 0xc8, 0x95, 0x24, 0xe0, 0x4c, 0x64,
	0xec, 0x09, 0xcc, 0x35, 0xd6, 0x17, 0x32, 0x41, 0xa2, 0xc7, 0x44, 0x43, 0x0b, 0x59, 0xc1, 0x73,
	0xb8, 0x97, 0x62, 0x95, 0xab, 0x1f, 0x05, 0x96, 0x66, 0x6d, 0x64, 0xb2, 0x43, 0xc3, 0x27, 0x24,
	0x3b, 0x3a, 0x10, 0x67, 0x84, 0xb3, 0xa7, 0x30, 0xa2, 0xc7, 0xf2, 0xa9, 0xdf, 0x5b, 0xde, 0x5d,
	0xdd, 0x09, 0x5d, 0x08, 0xe1, 0x57, 0x0b, 0xc6, 0x8e, 0x63, 0x8f, 0x01, 0x52, 0x61, 0x44, 0x82,
	0xa5, 0xc1, 0x9a, 0xcf, 0x9c, 0xe3, 0x01, 0x09, 0xde, 0x83, 0xf7, 0xa1, 0x46, 0x61, 0xb0, 0x8d,
	0x29, 0xc6, 0xef, 0x0d, 0x6a, 0xc3, 0x8e, 0x61, 0xd2, 0x46, 0x4c, 0x81, 0xcd, 0x57, 0x47, 0x61,
	0xdb, 0xb2, 0xb0, 0x53, 0x76, 0x82, 0xe0, 0x18, 0xbc, 0x13, 0xcc, 0xf1, 0x5a, 0x8d, 0x1b, 0x12,
	0x0f, 0x7e, 0xf7, 0xe0, 0xfe, 0x67, 0xa9, 0x4d, 0x2b, 0xd5, 0x9d, 0xd6, 0x83, 0x91, 0xe5, 0x35,
	0xef, 0xf9, 0x83, 0xe5, 0x2c, 0x76, 0x1b, 0xf6, 0x08, 0x66, 0x5d, 0x3f, 0x34, 0xef, 0x13, 0x73,
	0x00, 0xec, 0x19, 0xdb, 0x15, 0xcd, 0x07, 0xee, 0x0c, 0x6d, 0xd8, 0x33, 0x18, 0xbb, 0x3f, 0xc0,
	0x87, 0xfe, 0xe0, 0x7a, 0x2e, 0x2d, 0x49, 0xad, 0xdc, 0xc7, 0xa0, 0xf9, 0x88, 0x4a, 0x5c, 0x85,
	0x82, 0x13, 0xf0, 0xfe, 0xbe, 0xa9, 0xae, 0x54, 0xa9, 0x91, 0xbd, 0x80, 0x69, 0xf7, 0x9b, 0xe9,
	0xb6, 0x37, 0x65, 0xb3, 0x57, 0x04, 0x1f, 0xc1, 0x8b, 0xd1, 0xbe, 0xe6, 0xdf, 0xe1, 0xb0, 0x07,
	0x30, 0x2d, 0xf1, 0x72, 0x4d, 0xb8, 0xfb, 0x8e, 0x93, 0x12, 0x2f, 0xbf, 0xd8, 0xdc, 0x7e, 0x82,
	0xf7, 0xad, 0x4a, 0x6f, 0xd5, 0x27, 0xf6, 0x16, 0xe6, 0x0d, 0xd5, 0xa0, 0xf1, 0x22, 0x87, 0xf9,
	0x6a, 0x11, 0xba, 0x09, 0x0c, 0xbb, 0x09, 0x0c, 0x3f, 0xd9, 0x09, 0x3c, 0x15, 0x7a, 0x17, 0x43,
	0xd3, 0x5a, 0xea, 0xdd, 0x66, 0x4c, 0xfc, 0xeb, 0x3f, 0x01, 0x00, 0x00, 0xff, 0xff, 0xc9, 0x5f,
	0xf6, 0x83, 0xf9, 0x03, 0x00, 0x00,
}
