// Code generated by protoc-gen-go. DO NOT EDIT.
// source: go.chromium.org/luci/machine-db/api/crimson/v1/vm_slots.proto

package crimson

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// A request to find available VM slots in the database.
type FindVMSlotsRequest struct {
	// The number of available VM slots to find.
	// Values < 1 return all available VM slots.
	Slots int32 `protobuf:"varint,1,opt,name=slots" json:"slots,omitempty"`
	// The platform manufacturers to filter found VM slots on.
	Manufacturers []string `protobuf:"bytes,2,rep,name=manufacturers" json:"manufacturers,omitempty"`
	// The virtual datacenter to filter found VM slots on.
	VirtualDatacenters []string `protobuf:"bytes,3,rep,name=virtual_datacenters,json=virtualDatacenters" json:"virtual_datacenters,omitempty"`
}

func (m *FindVMSlotsRequest) Reset()                    { *m = FindVMSlotsRequest{} }
func (m *FindVMSlotsRequest) String() string            { return proto.CompactTextString(m) }
func (*FindVMSlotsRequest) ProtoMessage()               {}
func (*FindVMSlotsRequest) Descriptor() ([]byte, []int) { return fileDescriptor14, []int{0} }

func (m *FindVMSlotsRequest) GetSlots() int32 {
	if m != nil {
		return m.Slots
	}
	return 0
}

func (m *FindVMSlotsRequest) GetManufacturers() []string {
	if m != nil {
		return m.Manufacturers
	}
	return nil
}

func (m *FindVMSlotsRequest) GetVirtualDatacenters() []string {
	if m != nil {
		return m.VirtualDatacenters
	}
	return nil
}

// A response containing a list of available VM slots in the database.
type FindVMSlotsResponse struct {
	// The hosts with available VM slots.
	// Only includes name, vlan_id, and vm_slots.
	// vm_slots in this context means the number of available VM slots.
	Hosts []*PhysicalHost `protobuf:"bytes,1,rep,name=hosts" json:"hosts,omitempty"`
}

func (m *FindVMSlotsResponse) Reset()                    { *m = FindVMSlotsResponse{} }
func (m *FindVMSlotsResponse) String() string            { return proto.CompactTextString(m) }
func (*FindVMSlotsResponse) ProtoMessage()               {}
func (*FindVMSlotsResponse) Descriptor() ([]byte, []int) { return fileDescriptor14, []int{1} }

func (m *FindVMSlotsResponse) GetHosts() []*PhysicalHost {
	if m != nil {
		return m.Hosts
	}
	return nil
}

func init() {
	proto.RegisterType((*FindVMSlotsRequest)(nil), "crimson.FindVMSlotsRequest")
	proto.RegisterType((*FindVMSlotsResponse)(nil), "crimson.FindVMSlotsResponse")
}

func init() {
	proto.RegisterFile("go.chromium.org/luci/machine-db/api/crimson/v1/vm_slots.proto", fileDescriptor14)
}

var fileDescriptor14 = []byte{
	// 241 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x8f, 0x41, 0x4b, 0xc4, 0x30,
	0x10, 0x85, 0xa9, 0xa5, 0x8a, 0x11, 0x2f, 0x59, 0x85, 0xe2, 0xa9, 0x2c, 0x1e, 0x0a, 0x62, 0x82,
	0x7a, 0xf6, 0xa2, 0x22, 0x5e, 0x04, 0xa9, 0xe0, 0xb5, 0x64, 0xd3, 0xb8, 0x0d, 0x34, 0x99, 0x9a,
	0x99, 0x14, 0x3c, 0xfa, 0xcf, 0x65, 0xbb, 0x11, 0xd9, 0xe3, 0x1e, 0x67, 0xde, 0xe3, 0xbd, 0xf7,
	0xb1, 0xfb, 0x35, 0x08, 0xdd, 0x07, 0x70, 0x36, 0x3a, 0x01, 0x61, 0x2d, 0x87, 0xa8, 0xad, 0x74,
	0x4a, 0xf7, 0xd6, 0x9b, 0xeb, 0x6e, 0x25, 0xd5, 0x68, 0xa5, 0x0e, 0xd6, 0x21, 0x78, 0x39, 0xdd,
	0xc8, 0xc9, 0xb5, 0x38, 0x00, 0xa1, 0x18, 0x03, 0x10, 0xf0, 0xa3, 0x24, 0x5d, 0x3c, 0xee, 0x99,
	0x33, 0xf6, 0xdf, 0x68, 0xb5, 0x1a, 0xda, 0x1e, 0xf0, 0x2f, 0x6d, 0xf9, 0x93, 0x31, 0xfe, 0x6c,
	0x7d, 0xf7, 0xf1, 0xfa, 0xbe, 0xe9, 0x68, 0xcc, 0x57, 0x34, 0x48, 0xfc, 0x8c, 0x15, 0x73, 0x67,
	0x99, 0x55, 0x59, 0x5d, 0x34, 0xdb, 0x83, 0x5f, 0xb2, 0x53, 0xa7, 0x7c, 0xfc, 0x54, 0x9a, 0x62,
	0x30, 0x01, 0xcb, 0x83, 0x2a, 0xaf, 0x8f, 0x9b, 0xdd, 0x27, 0x97, 0x6c, 0x31, 0xd9, 0x40, 0x51,
	0x0d, 0x6d, 0xa7, 0x48, 0x69, 0xe3, 0x69, 0xe3, 0xcd, 0x67, 0x2f, 0x4f, 0xd2, 0xd3, 0xbf, 0xb2,
	0x7c, 0x60, 0x8b, 0x9d, 0x09, 0x38, 0x82, 0x47, 0xc3, 0xaf, 0x58, 0x31, 0x2f, 0x2d, 0xb3, 0x2a,
	0xaf, 0x4f, 0x6e, 0xcf, 0x45, 0x62, 0x11, 0x6f, 0x09, 0xe4, 0x05, 0x90, 0x9a, 0xad, 0x67, 0x75,
	0x38, 0xe3, 0xdc, 0xfd, 0x06, 0x00, 0x00, 0xff, 0xff, 0xab, 0x63, 0x73, 0x92, 0x5d, 0x01, 0x00,
	0x00,
}
