// Code generated by protoc-gen-go. DO NOT EDIT.
// source: go.chromium.org/luci/milo/api/proto/buildbot.proto

/*
Package milo is a generated protocol buffer package.

It is generated from these files:
	go.chromium.org/luci/milo/api/proto/buildbot.proto
	go.chromium.org/luci/milo/api/proto/buildinfo.proto

It has these top-level messages:
	MasterRequest
	CompressedMasterJSON
	BuildbotBuildRequest
	BuildbotBuildJSON
	BuildbotBuildsRequest
	BuildbotBuildsJSON
	BuildInfoRequest
	BuildInfoResponse
*/
package milo

import prpc "go.chromium.org/luci/grpc/prpc"

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import google_protobuf "github.com/golang/protobuf/ptypes/timestamp"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// The request containing the name of the master.
type MasterRequest struct {
	Name string `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	// if true, exclude response data that the foundation team is actively trying
	// to deprecate:
	// - slave info
	ExcludeDeprecated bool `protobuf:"varint,10,opt,name=exclude_deprecated,json=excludeDeprecated" json:"exclude_deprecated,omitempty"`
	// If true, turn off emulation mode.
	NoEmulation bool `protobuf:"varint,11,opt,name=no_emulation,json=noEmulation" json:"no_emulation,omitempty"`
}

func (m *MasterRequest) Reset()                    { *m = MasterRequest{} }
func (m *MasterRequest) String() string            { return proto.CompactTextString(m) }
func (*MasterRequest) ProtoMessage()               {}
func (*MasterRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *MasterRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *MasterRequest) GetExcludeDeprecated() bool {
	if m != nil {
		return m.ExcludeDeprecated
	}
	return false
}

func (m *MasterRequest) GetNoEmulation() bool {
	if m != nil {
		return m.NoEmulation
	}
	return false
}

// The response message containing master information.
type CompressedMasterJSON struct {
	// Whether the master is internal or not.
	Internal bool `protobuf:"varint,1,opt,name=internal" json:"internal,omitempty"`
	// Timestamp of the freshness of the master data.
	Modified *google_protobuf.Timestamp `protobuf:"bytes,2,opt,name=modified" json:"modified,omitempty"`
	// Gzipped json data of the master.
	Data []byte `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"`
}

func (m *CompressedMasterJSON) Reset()                    { *m = CompressedMasterJSON{} }
func (m *CompressedMasterJSON) String() string            { return proto.CompactTextString(m) }
func (*CompressedMasterJSON) ProtoMessage()               {}
func (*CompressedMasterJSON) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *CompressedMasterJSON) GetInternal() bool {
	if m != nil {
		return m.Internal
	}
	return false
}

func (m *CompressedMasterJSON) GetModified() *google_protobuf.Timestamp {
	if m != nil {
		return m.Modified
	}
	return nil
}

func (m *CompressedMasterJSON) GetData() []byte {
	if m != nil {
		return m.Data
	}
	return nil
}

// The request for a specific build.
type BuildbotBuildRequest struct {
	Master   string `protobuf:"bytes,1,opt,name=master" json:"master,omitempty"`
	Builder  string `protobuf:"bytes,2,opt,name=builder" json:"builder,omitempty"`
	BuildNum int64  `protobuf:"varint,3,opt,name=build_num,json=buildNum" json:"build_num,omitempty"`
	// if true, exclude response data that the foundation team is actively trying
	// to deprecate:
	// - slave info
	ExcludeDeprecated bool `protobuf:"varint,10,opt,name=exclude_deprecated,json=excludeDeprecated" json:"exclude_deprecated,omitempty"`
}

func (m *BuildbotBuildRequest) Reset()                    { *m = BuildbotBuildRequest{} }
func (m *BuildbotBuildRequest) String() string            { return proto.CompactTextString(m) }
func (*BuildbotBuildRequest) ProtoMessage()               {}
func (*BuildbotBuildRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *BuildbotBuildRequest) GetMaster() string {
	if m != nil {
		return m.Master
	}
	return ""
}

func (m *BuildbotBuildRequest) GetBuilder() string {
	if m != nil {
		return m.Builder
	}
	return ""
}

func (m *BuildbotBuildRequest) GetBuildNum() int64 {
	if m != nil {
		return m.BuildNum
	}
	return 0
}

func (m *BuildbotBuildRequest) GetExcludeDeprecated() bool {
	if m != nil {
		return m.ExcludeDeprecated
	}
	return false
}

// The response message for a specific build.
type BuildbotBuildJSON struct {
	// Json data of the build.
	Data []byte `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (m *BuildbotBuildJSON) Reset()                    { *m = BuildbotBuildJSON{} }
func (m *BuildbotBuildJSON) String() string            { return proto.CompactTextString(m) }
func (*BuildbotBuildJSON) ProtoMessage()               {}
func (*BuildbotBuildJSON) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

func (m *BuildbotBuildJSON) GetData() []byte {
	if m != nil {
		return m.Data
	}
	return nil
}

// The request for multiple build on a builder.
type BuildbotBuildsRequest struct {
	Master  string `protobuf:"bytes,1,opt,name=master" json:"master,omitempty"`
	Builder string `protobuf:"bytes,2,opt,name=builder" json:"builder,omitempty"`
	// Limit to the number of builds to return (default: 20).
	Limit int32 `protobuf:"varint,3,opt,name=limit" json:"limit,omitempty"`
	// Include ongoing builds (default: false).
	IncludeCurrent bool `protobuf:"varint,4,opt,name=include_current,json=includeCurrent" json:"include_current,omitempty"`
	// if true, exclude response data that the foundation team is actively trying
	// to deprecate:
	// - slave info
	ExcludeDeprecated bool `protobuf:"varint,10,opt,name=exclude_deprecated,json=excludeDeprecated" json:"exclude_deprecated,omitempty"`
}

func (m *BuildbotBuildsRequest) Reset()                    { *m = BuildbotBuildsRequest{} }
func (m *BuildbotBuildsRequest) String() string            { return proto.CompactTextString(m) }
func (*BuildbotBuildsRequest) ProtoMessage()               {}
func (*BuildbotBuildsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *BuildbotBuildsRequest) GetMaster() string {
	if m != nil {
		return m.Master
	}
	return ""
}

func (m *BuildbotBuildsRequest) GetBuilder() string {
	if m != nil {
		return m.Builder
	}
	return ""
}

func (m *BuildbotBuildsRequest) GetLimit() int32 {
	if m != nil {
		return m.Limit
	}
	return 0
}

func (m *BuildbotBuildsRequest) GetIncludeCurrent() bool {
	if m != nil {
		return m.IncludeCurrent
	}
	return false
}

func (m *BuildbotBuildsRequest) GetExcludeDeprecated() bool {
	if m != nil {
		return m.ExcludeDeprecated
	}
	return false
}

// The response message for multiple builds in a builder.
type BuildbotBuildsJSON struct {
	// builds is the list of builds resulting from the builds request.
	Builds []*BuildbotBuildJSON `protobuf:"bytes,1,rep,name=builds" json:"builds,omitempty"`
}

func (m *BuildbotBuildsJSON) Reset()                    { *m = BuildbotBuildsJSON{} }
func (m *BuildbotBuildsJSON) String() string            { return proto.CompactTextString(m) }
func (*BuildbotBuildsJSON) ProtoMessage()               {}
func (*BuildbotBuildsJSON) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

func (m *BuildbotBuildsJSON) GetBuilds() []*BuildbotBuildJSON {
	if m != nil {
		return m.Builds
	}
	return nil
}

func init() {
	proto.RegisterType((*MasterRequest)(nil), "milo.MasterRequest")
	proto.RegisterType((*CompressedMasterJSON)(nil), "milo.CompressedMasterJSON")
	proto.RegisterType((*BuildbotBuildRequest)(nil), "milo.BuildbotBuildRequest")
	proto.RegisterType((*BuildbotBuildJSON)(nil), "milo.BuildbotBuildJSON")
	proto.RegisterType((*BuildbotBuildsRequest)(nil), "milo.BuildbotBuildsRequest")
	proto.RegisterType((*BuildbotBuildsJSON)(nil), "milo.BuildbotBuildsJSON")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for Buildbot service

type BuildbotClient interface {
	GetCompressedMasterJSON(ctx context.Context, in *MasterRequest, opts ...grpc.CallOption) (*CompressedMasterJSON, error)
	GetBuildbotBuildJSON(ctx context.Context, in *BuildbotBuildRequest, opts ...grpc.CallOption) (*BuildbotBuildJSON, error)
	GetBuildbotBuildsJSON(ctx context.Context, in *BuildbotBuildsRequest, opts ...grpc.CallOption) (*BuildbotBuildsJSON, error)
}
type buildbotPRPCClient struct {
	client *prpc.Client
}

func NewBuildbotPRPCClient(client *prpc.Client) BuildbotClient {
	return &buildbotPRPCClient{client}
}

func (c *buildbotPRPCClient) GetCompressedMasterJSON(ctx context.Context, in *MasterRequest, opts ...grpc.CallOption) (*CompressedMasterJSON, error) {
	out := new(CompressedMasterJSON)
	err := c.client.Call(ctx, "milo.Buildbot", "GetCompressedMasterJSON", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *buildbotPRPCClient) GetBuildbotBuildJSON(ctx context.Context, in *BuildbotBuildRequest, opts ...grpc.CallOption) (*BuildbotBuildJSON, error) {
	out := new(BuildbotBuildJSON)
	err := c.client.Call(ctx, "milo.Buildbot", "GetBuildbotBuildJSON", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *buildbotPRPCClient) GetBuildbotBuildsJSON(ctx context.Context, in *BuildbotBuildsRequest, opts ...grpc.CallOption) (*BuildbotBuildsJSON, error) {
	out := new(BuildbotBuildsJSON)
	err := c.client.Call(ctx, "milo.Buildbot", "GetBuildbotBuildsJSON", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

type buildbotClient struct {
	cc *grpc.ClientConn
}

func NewBuildbotClient(cc *grpc.ClientConn) BuildbotClient {
	return &buildbotClient{cc}
}

func (c *buildbotClient) GetCompressedMasterJSON(ctx context.Context, in *MasterRequest, opts ...grpc.CallOption) (*CompressedMasterJSON, error) {
	out := new(CompressedMasterJSON)
	err := grpc.Invoke(ctx, "/milo.Buildbot/GetCompressedMasterJSON", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *buildbotClient) GetBuildbotBuildJSON(ctx context.Context, in *BuildbotBuildRequest, opts ...grpc.CallOption) (*BuildbotBuildJSON, error) {
	out := new(BuildbotBuildJSON)
	err := grpc.Invoke(ctx, "/milo.Buildbot/GetBuildbotBuildJSON", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *buildbotClient) GetBuildbotBuildsJSON(ctx context.Context, in *BuildbotBuildsRequest, opts ...grpc.CallOption) (*BuildbotBuildsJSON, error) {
	out := new(BuildbotBuildsJSON)
	err := grpc.Invoke(ctx, "/milo.Buildbot/GetBuildbotBuildsJSON", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for Buildbot service

type BuildbotServer interface {
	GetCompressedMasterJSON(context.Context, *MasterRequest) (*CompressedMasterJSON, error)
	GetBuildbotBuildJSON(context.Context, *BuildbotBuildRequest) (*BuildbotBuildJSON, error)
	GetBuildbotBuildsJSON(context.Context, *BuildbotBuildsRequest) (*BuildbotBuildsJSON, error)
}

func RegisterBuildbotServer(s prpc.Registrar, srv BuildbotServer) {
	s.RegisterService(&_Buildbot_serviceDesc, srv)
}

func _Buildbot_GetCompressedMasterJSON_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(MasterRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BuildbotServer).GetCompressedMasterJSON(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/milo.Buildbot/GetCompressedMasterJSON",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BuildbotServer).GetCompressedMasterJSON(ctx, req.(*MasterRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Buildbot_GetBuildbotBuildJSON_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BuildbotBuildRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BuildbotServer).GetBuildbotBuildJSON(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/milo.Buildbot/GetBuildbotBuildJSON",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BuildbotServer).GetBuildbotBuildJSON(ctx, req.(*BuildbotBuildRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Buildbot_GetBuildbotBuildsJSON_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BuildbotBuildsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BuildbotServer).GetBuildbotBuildsJSON(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/milo.Buildbot/GetBuildbotBuildsJSON",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BuildbotServer).GetBuildbotBuildsJSON(ctx, req.(*BuildbotBuildsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Buildbot_serviceDesc = grpc.ServiceDesc{
	ServiceName: "milo.Buildbot",
	HandlerType: (*BuildbotServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetCompressedMasterJSON",
			Handler:    _Buildbot_GetCompressedMasterJSON_Handler,
		},
		{
			MethodName: "GetBuildbotBuildJSON",
			Handler:    _Buildbot_GetBuildbotBuildJSON_Handler,
		},
		{
			MethodName: "GetBuildbotBuildsJSON",
			Handler:    _Buildbot_GetBuildbotBuildsJSON_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "go.chromium.org/luci/milo/api/proto/buildbot.proto",
}

func init() { proto.RegisterFile("go.chromium.org/luci/milo/api/proto/buildbot.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 484 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x9c, 0x92, 0xc1, 0x6e, 0xd3, 0x40,
	0x10, 0x86, 0xbb, 0x8d, 0x13, 0x9c, 0x49, 0x81, 0x76, 0x49, 0xa9, 0xe5, 0x1e, 0x30, 0xbe, 0xd4,
	0x17, 0x6c, 0x29, 0x48, 0x3c, 0x00, 0x05, 0x55, 0x0a, 0xb4, 0xa0, 0x85, 0x7b, 0xe4, 0xd8, 0xd3,
	0xb0, 0x92, 0xd7, 0x6b, 0xd6, 0xbb, 0x12, 0x27, 0x9e, 0x82, 0xd7, 0xe1, 0xc1, 0xb8, 0xa1, 0xec,
	0xda, 0x11, 0xa1, 0xe6, 0x50, 0x4e, 0xde, 0x99, 0xf9, 0x3d, 0xfb, 0xfd, 0xb3, 0x03, 0x8b, 0x8d,
	0x4c, 0x8b, 0x2f, 0x4a, 0x0a, 0x6e, 0x44, 0x2a, 0xd5, 0x26, 0xab, 0x4c, 0xc1, 0x33, 0xc1, 0x2b,
	0x99, 0xe5, 0x0d, 0xcf, 0x1a, 0x25, 0xb5, 0xcc, 0xd6, 0x86, 0x57, 0xe5, 0x5a, 0xea, 0xd4, 0x86,
	0xd4, 0xdb, 0x96, 0xc3, 0x67, 0x1b, 0x29, 0x37, 0x15, 0x3a, 0xc9, 0xda, 0xdc, 0x66, 0x9a, 0x0b,
	0x6c, 0x75, 0x2e, 0x1a, 0x27, 0x8b, 0x0d, 0x3c, 0xbc, 0xce, 0x5b, 0x8d, 0x8a, 0xe1, 0x57, 0x83,
	0xad, 0xa6, 0x14, 0xbc, 0x3a, 0x17, 0x18, 0x90, 0x88, 0x24, 0x53, 0x66, 0xcf, 0xf4, 0x05, 0x50,
	0xfc, 0x56, 0x54, 0xa6, 0xc4, 0x55, 0x89, 0x8d, 0xc2, 0x22, 0xd7, 0x58, 0x06, 0x10, 0x91, 0xc4,
	0x67, 0x27, 0x5d, 0xe5, 0xcd, 0xae, 0x40, 0x9f, 0xc3, 0x51, 0x2d, 0x57, 0x28, 0x4c, 0x95, 0x6b,
	0x2e, 0xeb, 0x60, 0x66, 0x85, 0xb3, 0x5a, 0xbe, 0xed, 0x53, 0xf1, 0x77, 0x98, 0x5f, 0x4a, 0xd1,
	0x28, 0x6c, 0x5b, 0x2c, 0x1d, 0xc0, 0xf2, 0xd3, 0x87, 0x1b, 0x1a, 0x82, 0xcf, 0x6b, 0x8d, 0xaa,
	0xce, 0x2b, 0x4b, 0xe0, 0xb3, 0x5d, 0x4c, 0x5f, 0x81, 0x2f, 0x64, 0xc9, 0x6f, 0x39, 0x96, 0xc1,
	0x61, 0x44, 0x92, 0xd9, 0x22, 0x4c, 0x9d, 0xbd, 0xb4, 0xb7, 0x97, 0x7e, 0xee, 0xed, 0xb1, 0x9d,
	0x76, 0xeb, 0xa8, 0xcc, 0x75, 0x1e, 0x8c, 0x22, 0x92, 0x1c, 0x31, 0x7b, 0x8e, 0x7f, 0x10, 0x98,
	0xbf, 0xee, 0x06, 0x66, 0xbf, 0xbd, 0xfd, 0xa7, 0x30, 0x11, 0x16, 0xa7, 0x1b, 0x40, 0x17, 0xd1,
	0x00, 0x1e, 0xd8, 0x01, 0xa3, 0xb2, 0x77, 0x4f, 0x59, 0x1f, 0xd2, 0x73, 0x98, 0xda, 0xe3, 0xaa,
	0x36, 0xc2, 0xde, 0x31, 0x62, 0xbe, 0x4d, 0xdc, 0x18, 0x71, 0xcf, 0xc9, 0xc5, 0x17, 0x70, 0xb2,
	0x47, 0x65, 0x67, 0xd2, 0xf3, 0x93, 0x3f, 0xf8, 0x7f, 0x12, 0x38, 0xdd, 0x53, 0xb6, 0xff, 0x6f,
	0x60, 0x0e, 0xe3, 0x8a, 0x0b, 0xae, 0x2d, 0xfc, 0x98, 0xb9, 0x80, 0x5e, 0xc0, 0x63, 0x5e, 0x3b,
	0xf2, 0xc2, 0x28, 0x85, 0xb5, 0x0e, 0x3c, 0x8b, 0xfd, 0xa8, 0x4b, 0x5f, 0xba, 0xec, 0x3d, 0x2d,
	0x2e, 0x3d, 0x7f, 0x7c, 0x3c, 0x89, 0xdf, 0x01, 0xdd, 0xc7, 0xb7, 0x4e, 0x33, 0x98, 0x58, 0xa8,
	0x36, 0x20, 0xd1, 0x28, 0x99, 0x2d, 0xce, 0xd2, 0xed, 0x12, 0xa7, 0x77, 0x46, 0xc2, 0x3a, 0xd9,
	0xd2, 0xf3, 0x0f, 0x8f, 0x47, 0x8b, 0x5f, 0x04, 0xfc, 0x5e, 0x43, 0xdf, 0xc3, 0xd9, 0x15, 0xea,
	0xc1, 0xe5, 0x7a, 0xe2, 0xda, 0xed, 0xed, 0x7b, 0x18, 0xba, 0xe4, 0xd0, 0x0f, 0xf1, 0x01, 0xbd,
	0x86, 0xf9, 0x15, 0xea, 0xbb, 0x6f, 0x12, 0x0e, 0x90, 0xf5, 0x1d, 0xff, 0x45, 0x1d, 0x1f, 0xd0,
	0x8f, 0x70, 0xfa, 0x77, 0x3b, 0xe7, 0xfc, 0x7c, 0xe0, 0x9f, 0xfe, 0x49, 0xc3, 0x60, 0xa8, 0xe8,
	0x3a, 0xae, 0x27, 0x76, 0xf5, 0x5f, 0xfe, 0x0e, 0x00, 0x00, 0xff, 0xff, 0xc6, 0xde, 0x7a, 0xd9,
	0x23, 0x04, 0x00, 0x00,
}
