// Code generated by protoc-gen-go. DO NOT EDIT.
// source: go.chromium.org/luci/tokenserver/api/token_file.proto

package tokenserver

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// TokenFile is representation of a token file on disk (serialized as JSON).
//
// The token file is consumed by whoever wishes to use machine tokens. It is
// intentionally made as simple as possible (e.g. uses unix timestamps instead
// of fancy protobuf ones).
type TokenFile struct {
	// Google OAuth2 access token of a machine service account.
	AccessToken string `protobuf:"bytes,1,opt,name=access_token" json:"access_token,omitempty"`
	// OAuth2 access token type, usually "Bearer".
	TokenType string `protobuf:"bytes,2,opt,name=token_type" json:"token_type,omitempty"`
	// Machine token understood by LUCI backends (alternative to access_token).
	LuciMachineToken string `protobuf:"bytes,3,opt,name=luci_machine_token" json:"luci_machine_token,omitempty"`
	// Unix timestamp (in seconds) when this token expires.
	//
	// The token file is expected to be updated before the token expires, see
	// 'next_update' for next expected update time.
	Expiry int64 `protobuf:"varint,4,opt,name=expiry" json:"expiry,omitempty"`
	// Unix timestamp of when this file was updated the last time.
	LastUpdate int64 `protobuf:"varint,5,opt,name=last_update" json:"last_update,omitempty"`
	// Unix timestamp of when this file is expected to be updated next time.
	NextUpdate int64 `protobuf:"varint,6,opt,name=next_update" json:"next_update,omitempty"`
	// Email of the associated service account.
	ServiceAccountEmail string `protobuf:"bytes,7,opt,name=service_account_email" json:"service_account_email,omitempty"`
	// Unique stable ID of the associated service account.
	ServiceAccountUniqueId string `protobuf:"bytes,8,opt,name=service_account_unique_id" json:"service_account_unique_id,omitempty"`
	// Any information tokend daemon wishes to associate with the token.
	//
	// Consumers of the token file should ignore this field. It is used
	// exclusively by tokend daemon.
	TokendState []byte `protobuf:"bytes,50,opt,name=tokend_state,proto3" json:"tokend_state,omitempty"`
}

func (m *TokenFile) Reset()                    { *m = TokenFile{} }
func (m *TokenFile) String() string            { return proto.CompactTextString(m) }
func (*TokenFile) ProtoMessage()               {}
func (*TokenFile) Descriptor() ([]byte, []int) { return fileDescriptor2, []int{0} }

func (m *TokenFile) GetAccessToken() string {
	if m != nil {
		return m.AccessToken
	}
	return ""
}

func (m *TokenFile) GetTokenType() string {
	if m != nil {
		return m.TokenType
	}
	return ""
}

func (m *TokenFile) GetLuciMachineToken() string {
	if m != nil {
		return m.LuciMachineToken
	}
	return ""
}

func (m *TokenFile) GetExpiry() int64 {
	if m != nil {
		return m.Expiry
	}
	return 0
}

func (m *TokenFile) GetLastUpdate() int64 {
	if m != nil {
		return m.LastUpdate
	}
	return 0
}

func (m *TokenFile) GetNextUpdate() int64 {
	if m != nil {
		return m.NextUpdate
	}
	return 0
}

func (m *TokenFile) GetServiceAccountEmail() string {
	if m != nil {
		return m.ServiceAccountEmail
	}
	return ""
}

func (m *TokenFile) GetServiceAccountUniqueId() string {
	if m != nil {
		return m.ServiceAccountUniqueId
	}
	return ""
}

func (m *TokenFile) GetTokendState() []byte {
	if m != nil {
		return m.TokendState
	}
	return nil
}

func init() {
	proto.RegisterType((*TokenFile)(nil), "tokenserver.TokenFile")
}

func init() {
	proto.RegisterFile("go.chromium.org/luci/tokenserver/api/token_file.proto", fileDescriptor2)
}

var fileDescriptor2 = []byte{
	// 260 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x91, 0xcd, 0x4e, 0xc3, 0x30,
	0x10, 0x84, 0x95, 0x16, 0x02, 0xdd, 0xf6, 0x64, 0x09, 0x64, 0x2e, 0x28, 0xea, 0x29, 0xa7, 0x44,
	0xe2, 0xe7, 0xc6, 0x99, 0x07, 0x88, 0xb8, 0x5b, 0xc6, 0x59, 0xda, 0x15, 0x49, 0x6c, 0xfc, 0x83,
	0xda, 0xe7, 0xe6, 0x05, 0x90, 0xdd, 0x08, 0xa5, 0xa8, 0x3d, 0xce, 0xcc, 0xe7, 0xd5, 0xac, 0x17,
	0x9e, 0x37, 0xba, 0x52, 0x5b, 0xab, 0x7b, 0x0a, 0x7d, 0xa5, 0xed, 0xa6, 0xee, 0x82, 0xa2, 0xda,
	0xeb, 0x4f, 0x1c, 0x1c, 0xda, 0x6f, 0xb4, 0xb5, 0x34, 0xa3, 0x16, 0x1f, 0xd4, 0x61, 0x65, 0xac,
	0xf6, 0x9a, 0x2d, 0x27, 0xc4, 0xfa, 0x67, 0x06, 0x8b, 0xb7, 0xa8, 0x5f, 0xa9, 0x43, 0xb6, 0x86,
	0x95, 0x54, 0x0a, 0x9d, 0x13, 0x89, 0xe1, 0x59, 0x91, 0x95, 0x8b, 0xe6, 0xc8, 0x63, 0xf7, 0x00,
	0x87, 0x91, 0x7e, 0x6f, 0x90, 0xcf, 0x12, 0x31, 0x71, 0x58, 0x05, 0x2c, 0xf6, 0x10, 0xbd, 0x54,
	0x5b, 0x1a, 0x70, 0x9c, 0x34, 0x4f, 0xdc, 0x89, 0x84, 0xdd, 0x42, 0x8e, 0x3b, 0x43, 0x76, 0xcf,
	0x2f, 0x8a, 0xac, 0x9c, 0x37, 0xa3, 0x62, 0x05, 0x2c, 0x3b, 0xe9, 0xbc, 0x08, 0xa6, 0x95, 0x1e,
	0xf9, 0x65, 0x0a, 0xa7, 0x56, 0x24, 0x06, 0xdc, 0xfd, 0x11, 0xf9, 0x81, 0x98, 0x58, 0xec, 0x09,
	0x6e, 0xe2, 0x9e, 0xa4, 0x50, 0x48, 0xa5, 0x74, 0x18, 0xbc, 0xc0, 0x5e, 0x52, 0xc7, 0xaf, 0x52,
	0x9d, 0xd3, 0x21, 0x7b, 0x81, 0xbb, 0xff, 0x41, 0x18, 0xe8, 0x2b, 0xa0, 0xa0, 0x96, 0x5f, 0xa7,
	0x97, 0xe7, 0x81, 0xf8, 0x87, 0x69, 0xb1, 0x56, 0x38, 0x1f, 0x6b, 0x3d, 0x14, 0x59, 0xb9, 0x6a,
	0x8e, 0xbc, 0xf7, 0x3c, 0x5d, 0xe2, 0xf1, 0x37, 0x00, 0x00, 0xff, 0xff, 0xa0, 0x15, 0x96, 0xc6,
	0xc2, 0x01, 0x00, 0x00,
}
